###############################################################################
# Copyright (c) 2009, 2012, Oracle and/or its affiliates. All rights reserved.
#
# Permission is hereby granted, free of charge, to any person obtaining a
# copy of this software and associated documentation files (the "Software"),
# to deal in the Software without restriction, including without limitation
# the rights to use, copy, modify, merge, publish, distribute, sublicense,
# and/or sell copies of the Software, and to permit persons to whom the
# Software is furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice (including the next
# paragraph) shall be included in all copies or substantial portions of the
# Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
# THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
# DEALINGS IN THE SOFTWARE.
#

diff --git a/nls/en_US.UTF-8/Compose.pre b/nls/en_US.UTF-8/Compose.pre
index a741332..cf8ed21 100644
--- a/nls/en_US.UTF-8/Compose.pre
+++ b/nls/en_US.UTF-8/Compose.pre
@@ -1,7 +1,70 @@
-XCOMM UTF-8 (Unicode) compose sequence
+XCOMM
+XCOMM Copyright (c) 2006, 2012, Oracle and/or its affiliates. All rights reserved.
+XCOMM
+XCOMM Permission is hereby granted, free of charge, to any person obtaining a
+XCOMM copy of this software and associated documentation files (the
+XCOMM "Software"), to deal in the Software without restriction, including
+XCOMM without limitation the rights to use, copy, modify, merge, publish,
+XCOMM distribute, and/or sell copies of the Software, and to permit persons
+XCOMM to whom the Software is furnished to do so, provided that the above
+XCOMM copyright notice(s) and this permission notice appear in all copies of
+XCOMM the Software and that both the above copyright notice(s) and this
+XCOMM permission notice appear in supporting documentation.
+XCOMM
+XCOMM THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
+XCOMM OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
+XCOMM MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT
+XCOMM OF THIRD PARTY RIGHTS. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR
+XCOMM HOLDERS INCLUDED IN THIS NOTICE BE LIABLE FOR ANY CLAIM, OR ANY SPECIAL
+XCOMM INDIRECT OR CONSEQUENTIAL DAMAGES, OR ANY DAMAGES WHATSOEVER RESULTING
+XCOMM FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT,
+XCOMM NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION
+XCOMM WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+XCOMM
+XCOMM Except as contained in this notice, the name of a copyright holder
+XCOMM shall not be used in advertising or otherwise to promote the sale, use
+XCOMM or other dealings in this Software without prior written authorization
+XCOMM of the copyright holder.
+XCOMM
+XCOMM
+XCOMM Compose table for Solaris Unicode locales.
+XCOMM Merged with X.Org UTF-8 (Unicode) compose sequence from
 XCOMM David.Monniaux@ens.fr
 XCOMM
 
+STATE "[ English/European ]"
+<Multi_key> <c> <c>	: SWITCH_STATE_TO "[ Cyrillic ]"
+<Multi_key> <g> <g>	: SWITCH_STATE_TO "[ Greek ]"
+<Multi_key> <t> <t>	: SWITCH_STATE_TO "[ Thai ]"
+<Multi_key> <a> <r>	: SWITCH_STATE_TO "[ Arabic ]"
+<Multi_key> <h> <i>	: SWITCH_STATE_TO "[ Indic ]"
+<Multi_key> <i> <n>	: SWITCH_STATE_TO "[ Indic ]"
+<Multi_key> <h> <h>	: SWITCH_STATE_TO "[ Hebrew ]"
+<Multi_key> <u> <h>	: SWITCH_STATE_TO "[ Unicode Hex ]"
+<Multi_key> <u> <o>	: SWITCH_STATE_TO "[ Unicode Octal ]"
+<Multi_key> <l> <l>	: SWITCH_STATE_TO "[ Lookup ]"
+<Multi_key> <j>	<a>	: SWITCH_STATE_TO "[ Japanese ]"
+<Multi_key> <k>	<o>	: SWITCH_STATE_TO "[ Korean ]"
+<Multi_key> <s>	<c>	: SWITCH_STATE_TO "[ S-Chinese ]"
+<Multi_key> <t>	<c>	: SWITCH_STATE_TO "[ T-Chinese ]"
+<Multi_key> <h>	<k>	: SWITCH_STATE_TO "[ T-Chinese (Hong Kong) ]"
+
+Ctrl<T> <c> <c>		: SWITCH_STATE_TO "[ Cyrillic ]"
+Ctrl<T> <g> <g>		: SWITCH_STATE_TO "[ Greek ]"
+Ctrl<T> <t> <t>		: SWITCH_STATE_TO "[ Thai ]"
+Ctrl<T> <a> <r>		: SWITCH_STATE_TO "[ Arabic ]"
+Ctrl<T> <h> <i>		: SWITCH_STATE_TO "[ Indic ]"
+Ctrl<T> <i> <n>		: SWITCH_STATE_TO "[ Indic ]"
+Ctrl<T> <h> <h>		: SWITCH_STATE_TO "[ Hebrew ]"
+Ctrl<T> <u> <h>		: SWITCH_STATE_TO "[ Unicode Hex ]"
+Ctrl<T> <u> <o>		: SWITCH_STATE_TO "[ Unicode Octal ]"
+Ctrl<T> <l> <l>		: SWITCH_STATE_TO "[ Lookup ]"
+Ctrl<T> <j> <a>		: SWITCH_STATE_TO "[ Japanese ]"
+Ctrl<T> <k> <o>		: SWITCH_STATE_TO "[ Korean ]"
+Ctrl<T> <s> <c>		: SWITCH_STATE_TO "[ S-Chinese ]"
+Ctrl<T> <t> <c>		: SWITCH_STATE_TO "[ T-Chinese ]"
+Ctrl<T> <h> <k>		: SWITCH_STATE_TO "[ T-Chinese (Hong Kong) ]"
+
 XCOMM Part 1 - Manual definitions
 
 XCOMM Spacing versions of dead accents
@@ -855,7 +918,8 @@ XCOMM Part 3
 <Multi_key> <period> <c>         	: "ċ"   U010B # LATIN SMALL LETTER C WITH DOT ABOVE
 <Multi_key> <c> <period> 		: "ċ"   U010B # LATIN SMALL LETTER C WITH DOT ABOVE
 <dead_caron> <C>                 	: "Č"   U010C # LATIN CAPITAL LETTER C WITH CARON
-<Multi_key> <c> <C>              	: "Č"   U010C # LATIN CAPITAL LETTER C WITH CARON
+XCOMM Conflicts with: <Multi_key> <c> <c> : SWITCH_STATE_TO "[ Cyrillic ]"
+XCOMM <Multi_key> <c> <C>              	: "Č"   U010C # LATIN CAPITAL LETTER C WITH CARON
 <Multi_key> <less> <C> 			: "Č"   U010C # LATIN CAPITAL LETTER C WITH CARON
 <Multi_key> <C> <less> 			: "Č"   U010C # LATIN CAPITAL LETTER C WITH CARON
 <dead_caron> <c>                 	: "č"   U010D # LATIN SMALL LETTER C WITH CARON
@@ -5999,3 +6063,2320 @@ XCOMM Given that no extant APLs use ⍮ I will just leave the line in place.
 <Multi_key> <underscore> <U2373>                : "⍸"   U2378   # _ ⍳ APL FUNCTIONAL SYMBOL IOTA UNDERBAR
 <Multi_key> <U2375> <underscore>                : "⍹"   U2379   # ⍵ _ APL FUNCTIONAL SYMBOL OMEGA UNDERBAR
 <Multi_key> <underscore> <U2375>                : "⍹"   U2379   # _ ⍵ APL FUNCTIONAL SYMBOL OMEGA UNDERBAR
+
+XCOMM ---- Solaris added key sequences
+
+XCOMM Rules to compose Euro Currency Symbol
+AltGraph<e>		: "\xe2\x82\xac"
+AltGraph<E>		: "\xe2\x82\xac"
+AltGraph<4>		: "\xe2\x82\xac"
+AltGraph<5>		: "\xe2\x82\xac"
+Ctrl<T> <c> <equal>	: "\xe2\x82\xac"
+Ctrl<T> <equal> <c>	: "\xe2\x82\xac"
+Ctrl<T> <C> <equal>	: "\xe2\x82\xac"
+Ctrl<T> <equal> <C>	: "\xe2\x82\xac"
+Ctrl<T> <e> <equal>	: "\xe2\x82\xac"
+Ctrl<T> <equal> <e>	: "\xe2\x82\xac"
+Ctrl<T> <E> <equal>	: "\xe2\x82\xac"
+Ctrl<T> <equal> <E>	: "\xe2\x82\xac"
+<EuroSign>		: "\xe2\x82\xac"
+
+<Multi_key> <A> <A>			: "\x40"	at
+<Multi_key> <a> <A>			: "\xc4\x84"	Aogonek
+<Multi_key> <A> <a> 			: "\xc4\x84"	Aogonek
+<Multi_key> <a> <a> 			: "\xc4\x85"	aogonek
+
+<Multi_key> <C> <acute> 		: "\xc4\x86"	Cacute
+<Multi_key> <c> <acute> 		: "\xc4\x87"	cacute
+<Multi_key> <L> <acute> 		: "\xc4\xb9"	Lacute
+<Multi_key> <l> <acute> 		: "\xc4\xba"	lacute
+<Multi_key> <l> <equal>			: "\xc2\xa3"	sterling
+<Multi_key> <equal> <l>			: "\xc2\xa3"	sterling
+<Multi_key> <N> <acute> 		: "\xc5\x83"	Nacute
+<Multi_key> <y> <minus>			: "\xc2\xa5"	yen
+<Multi_key> <minus> <y>			: "\xc2\xa5"	yen
+<Multi_key> <Y> <minus>			: "\xc2\xa5"	yen
+<Multi_key> <minus> <Y>			: "\xc2\xa5"	yen
+<Multi_key> <S> <O>			: "\xc2\xa7"	section
+<Multi_key> <O> <S>			: "\xc2\xa7"	section
+<Multi_key> <S> <0>			: "\xc2\xa7"	section
+<Multi_key> <0> <S>			: "\xc2\xa7"	section
+<Multi_key> <s> <0>			: "\xc2\xa7"	section
+<Multi_key> <0> <s>			: "\xc2\xa7"	section
+<Multi_key> <X> <O>			: "\xc2\xa4"	currency
+<Multi_key> <O> <X>			: "\xc2\xa4"	currency
+<Multi_key> <x> <O>			: "\xc2\xa4"	currency
+<Multi_key> <O> <x>			: "\xc2\xa4"	currency
+<Multi_key> <X> <o>			: "\xc2\xa4"	currency
+<Multi_key> <o> <X>			: "\xc2\xa4"	currency
+<Multi_key> <x> <0>			: "\xc2\xa4"	currency
+<Multi_key> <0> <x>			: "\xc2\xa4"	currency
+<Multi_key> <X> <0>			: "\xc2\xa4"	currency
+<Multi_key> <0> <X>			: "\xc2\xa4"	currency
+<Multi_key> <C> <O>			: "\xc2\xa9"	copyright
+<Multi_key> <C> <o>			: "\xc2\xa9"	copyright
+<Multi_key> <c> <0>			: "\xc2\xa9"	copyright
+<Multi_key> <0> <c>			: "\xc2\xa9"	copyright
+<Multi_key> <C> <0>			: "\xc2\xa9"	copyright
+<Multi_key> <0> <C>			: "\xc2\xa9"	copyright
+<Multi_key> <a> <minus>			: "\xc2\xaa"	ordfeminine
+<Multi_key> <minus> <a>			: "\xc2\xaa"	ordfeminine
+<Multi_key> <A> <minus>			: "\xc2\xaa"	ordfeminine
+<Multi_key> <minus> <A>			: "\xc2\xaa"	ordfeminine
+<Multi_key> <o> <minus>			: "\xc2\xba"	masculine
+<Multi_key> <minus> <o>			: "\xc2\xba"	masculine
+<Multi_key> <O> <minus>			: "\xc2\xba"	masculine
+<Multi_key> <minus> <O>			: "\xc2\xba"	masculine
+<Multi_key> <0> <asciicircum>		: "\xc2\xb0"	degree
+<Multi_key> <0> <asterisk>		: "\xc2\xb0"	degree
+<Multi_key> <asterisk> <0>		: "\xc2\xb0"	degree
+<Multi_key> <minus> <plus>		: "\xc2\xb1"	plusminus
+<Multi_key> <slash> <u>			: "\xc2\xb5"	mu
+<Multi_key> <u> <slash>			: "\xc2\xb5"	mu
+<Multi_key> <slash> <U>			: "\xc2\xb5"	mu
+<Multi_key> <U> <slash>			: "\xc2\xb5"	mu
+<Multi_key> <1> <asciicircum>		: "\xc2\xb9"	onesuperior
+<Multi_key> <S> <1>			: "\xc2\xb9"	onesuperior
+<Multi_key> <1> <S>			: "\xc2\xb9"	onesuperior
+<Multi_key> <s> <1>			: "\xc2\xb9"	onesuperior
+<Multi_key> <1> <s>			: "\xc2\xb9"	onesuperior
+<Multi_key> <2> <asciicircum>		: "\xc2\xb2"	twosuperior
+<Multi_key> <S> <2>			: "\xc2\xb2"	twosuperior
+<Multi_key> <2> <S>			: "\xc2\xb2"	twosuperior
+<Multi_key> <s> <2>			: "\xc2\xb2"	twosuperior
+<Multi_key> <2> <s>			: "\xc2\xb2"	twosuperior
+<Multi_key> <3> <asciicircum>		: "\xc2\xb3"	threesuperior
+<Multi_key> <S> <3>			: "\xc2\xb3"	threesuperior
+<Multi_key> <3> <S>			: "\xc2\xb3"	threesuperior
+<Multi_key> <s> <3>			: "\xc2\xb3"	threesuperior
+<Multi_key> <3> <s>			: "\xc2\xb3"	threesuperior
+<Multi_key> <exclam> <p>		: "\xc2\xb6"	paragraph
+<Multi_key> <exclam> <P>		: "\xc2\xb6"	paragraph
+<Multi_key> <period> <asciicircum>	: "\xc2\xb7"	periodcentered
+<Multi_key> <asciicircum> <period>	: "\xc2\xb7"	periodcentered
+
+<Multi_key> <bar> <bar>			: "\xc2\xa6"	brokenbar
+<Multi_key> <V> <B>			: "\xc2\xa6"	brokenbar
+<Multi_key> <B> <V>			: "\xc2\xa6"	brokenbar
+<Multi_key> <v> <b>			: "\xc2\xa6"	brokenbar
+<Multi_key> <b> <v>			: "\xc2\xa6"	brokenbar
+<Multi_key> <R> <O>			: "\xc2\xae"	registered
+<Multi_key> <minus> <asciicircum>	: "\xc2\xaf"	macron
+<Multi_key> <asciicircum> <minus>	: "\xc2\xaf"	macron
+<Multi_key> <underscore> <asciicircum>	: "\xc2\xaf"	macron
+<Multi_key> <underscore> <underscore>	: "\xc2\xaf"	macron
+<Multi_key> <apostrophe> <apostrophe>	: "\xc2\xb4"	acute
+<Multi_key> <comma> <comma>		: "\xc2\xb8"	cedilla
+<Multi_key> <quotedbl> <quotedbl>	: "\xc2\xa8"	diaeresis
+<Multi_key> <A> <grave>			: "\xc3\x80"	Agrave
+<Multi_key> <A> <acute>			: "\xc3\x81"	Aacute
+<Multi_key> <A> <apostrophe>		: "\xc3\x81"	Aacute
+<Multi_key> <A> <asciicircum>		: "\xc3\x82"	Acircumflex
+<Multi_key> <A> <greater>		: "\xc3\x82"	Acircumflex
+<Multi_key> <greater> <A>		: "\xc3\x82"	Acircumflex
+<Multi_key> <A> <asciitilde>		: "\xc3\x83"	Atilde
+<Multi_key> <A> <quotedbl>		: "\xc3\x84"	Adiaeresis
+<Multi_key> <A> <asterisk>		: "\xc3\x85"	Aring
+<Multi_key> <asterisk> <A>		: "\xc3\x85"	Aring
+<Multi_key> <a> <grave>			: "\xc3\xa0"	agrave
+<Multi_key> <a> <acute>			: "\xc3\xa1"	aacute
+<Multi_key> <a> <apostrophe>		: "\xc3\xa1"	aacute
+<Multi_key> <a> <asciicircum>		: "\xc3\xa2"	acircumflex
+<Multi_key> <a> <greater>		: "\xc3\xa2"	acircumflex
+<Multi_key> <greater> <a>		: "\xc3\xa2"	acircumflex
+<Multi_key> <a> <asciitilde>		: "\xc3\xa3"	atilde
+<Multi_key> <a> <quotedbl>		: "\xc3\xa4"	adiaeresis
+<Multi_key> <a> <asterisk>		: "\xc3\xa5"	aring
+<Multi_key> <asterisk> <a>		: "\xc3\xa5"	aring
+<Multi_key> <C> <comma>			: "\xc3\x87"	Ccedilla
+<Multi_key> <c> <comma>			: "\xc3\xa7"	ccedilla
+<Multi_key> <D> <minus>			: "\xc3\x90"	ETH
+XCOMM <Multi_key> <d> <minus>			: "\xc3\xb0"	eth
+<Multi_key> <E> <grave>			: "\xc3\x88"	Egrave
+<Multi_key> <E> <acute>			: "\xc3\x89"	Eacute
+<Multi_key> <E> <apostrophe>		: "\xc3\x89"	Eacute
+<Multi_key> <E> <asciicircum>		: "\xc3\x8a"	Ecircumflex
+<Multi_key> <E> <greater>		: "\xc3\x8a"	Ecircumflex
+<Multi_key> <greater> <E>		: "\xc3\x8a"	Ecircumflex
+<Multi_key> <E> <quotedbl>		: "\xc3\x8b"	Ediaeresis
+<Multi_key> <e> <grave>			: "\xc3\xa8"	egrave
+<Multi_key> <e> <acute>			: "\xc3\xa9"	eacute
+<Multi_key> <e> <apostrophe>		: "\xc3\xa9"	eacute
+<Multi_key> <e> <asciicircum>		: "\xc3\xaa"	ecircumflex
+<Multi_key> <e> <greater>		: "\xc3\xaa"	ecircumflex
+<Multi_key> <greater> <e>		: "\xc3\xaa"	ecircumflex
+<Multi_key> <e> <quotedbl>		: "\xc3\xab"	ediaeresis
+<Multi_key> <I> <grave>			: "\xc3\x8c"	Igrave
+<Multi_key> <I> <acute>			: "\xc3\x8d"	Iacute
+<Multi_key> <I> <apostrophe>		: "\xc3\x8d"	Iacute
+<Multi_key> <I> <asciicircum>		: "\xc3\x8e"	Icircumflex
+<Multi_key> <I> <greater>		: "\xc3\x8e"	Icircumflex
+<Multi_key> <greater> <I>		: "\xc3\x8e"	Icircumflex
+<Multi_key> <I> <quotedbl>		: "\xc3\x8f"	Idiaeresis
+<Multi_key> <i> <grave>			: "\xc3\xac"	igrave
+<Multi_key> <i> <acute>			: "\xc3\xad"	iacute
+<Multi_key> <i> <apostrophe>		: "\xc3\xad"	iacute
+<Multi_key> <i> <asciicircum>		: "\xc3\xae"	icircumflex
+<Multi_key> <i> <greater>		: "\xc3\xae"	icircumflex
+<Multi_key> <greater> <i>		: "\xc3\xae"	icircumflex
+<Multi_key> <i> <quotedbl>		: "\xc3\xaf"	idiaeresis
+<Multi_key> <N> <asciitilde>		: "\xc3\x91"	Ntilde
+<Multi_key> <N> <minus>			: "\xc3\x91"	Ntilde
+<Multi_key> <minus> <N>			: "\xc3\x91"	Ntilde
+<Multi_key> <n> <asciitilde>		: "\xc3\xb1"	ntilde
+<Multi_key> <n> <minus>			: "\xc3\xb1"	ntilde
+<Multi_key> <minus> <n>			: "\xc3\xb1"	ntilde
+<Multi_key> <O> <grave>			: "\xc3\x92"	Ograve
+<Multi_key> <O> <acute>			: "\xc3\x93"	Oacute
+<Multi_key> <O> <apostrophe>		: "\xc3\x93"	Oacute
+<Multi_key> <O> <asciicircum>		: "\xc3\x94"	Ocircumflex
+<Multi_key> <O> <greater>		: "\xc3\x94"	Ocircumflex
+<Multi_key> <greater> <O>		: "\xc3\x94"	Ocircumflex
+<Multi_key> <O> <asciitilde>		: "\xc3\x95"	Otilde
+<Multi_key> <O> <quotedbl>		: "\xc3\x96"	Odiaeresis
+<Multi_key> <O> <slash>			: "\xc3\x98"	Ooblique
+<Multi_key> <o> <grave>			: "\xc3\xb2"	ograve
+<Multi_key> <o> <acute>			: "\xc3\xb3"	oacute
+<Multi_key> <o> <asciicircum>		: "\xc3\xb4"	ocircumflex
+<Multi_key> <o> <greater>		: "\xc3\xb4"	ocircumflex
+<Multi_key> <greater> <o>		: "\xc3\xb4"	ocircumflex
+<Multi_key> <o> <asciitilde>		: "\xc3\xb5"	otilde
+<Multi_key> <o> <quotedbl>		: "\xc3\xb6"	odiaeresis
+<Multi_key> <o> <slash>			: "\xc3\xb8"	oslash
+<Multi_key> <U> <grave>			: "\xc3\x99"	Ugrave
+<Multi_key> <U> <acute>			: "\xc3\x9a"	Uacute
+<Multi_key> <U> <apostrophe>		: "\xc3\x9a"	Uacute
+<Multi_key> <U> <asciicircum>		: "\xc3\x9b"	Ucircumflex
+<Multi_key> <U> <greater>		: "\xc3\x9b"	Ucircumflex
+<Multi_key> <greater> <U>		: "\xc3\x9b"	Ucircumflex
+<Multi_key> <U> <quotedbl>		: "\xc3\x9c"	Udiaeresis
+<Multi_key> <u> <grave>			: "\xc3\xb9"	ugrave
+<Multi_key> <u> <acute>			: "\xc3\xba"	uacute
+<Multi_key> <u> <apostrophe>		: "\xc3\xba"	uacute
+<Multi_key> <u> <asciicircum>		: "\xc3\xbb"	ucircumflex
+<Multi_key> <u> <greater>		: "\xc3\xbb"	ucircumflex
+<Multi_key> <greater> <u>		: "\xc3\xbb"	ucircumflex
+<Multi_key> <u> <quotedbl>		: "\xc3\xbc"	udiaeresis
+<Multi_key> <Y> <apostrophe>		: "\xc3\x9d"	Yacute
+<Multi_key> <y> <acute>			: "\xc3\xbd"	yacute
+<Multi_key> <y> <apostrophe>		: "\xc3\xbd"	yacute
+<Multi_key> <y> <quotedbl>		: "\xc3\xbf"	ydiaeresis
+
+<ecaron>	: "\xc4\x9b"	ecaron
+<scaron>	: "\xc5\xa1"	scaron
+<ccaron>	: "\xc4\x8d"	ccaron
+<rcaron>	: "\xc5\x99"	rcaron
+<yacute>	: "\xc3\xbd"	yacute
+<aacute>	: "\xc3\xa1"	aacute
+<iacute>	: "\xc3\xad"	iacute
+<eacute>	: "\xc3\xa9"	eacute
+<uacute>	: "\xc3\xba"	uacute
+<uring>		: "\xc5\xaf"	uring
+<section>	: "\xc2\xa7"	section
+<ssharp>	: "\xc3\x9f"	ssharp
+<zabovedot>	: "\xc5\xbc"	zabovedot
+<Zabovedot>	: "\xc5\xbb"	Zabovedot
+<ogonek>	: "\xcb\x9b"	ogonek
+<oacute>	: "\xc3\xb3"	oacute
+<zacute>	: "\xc5\xba"	zacute
+<lstroke>	: "\xc5\x82"	lstroke
+<Lstroke>	: "\xc5\x81"	Lstroke
+<aogonek>	: "\xc4\x85"	aogonek
+<eogonek>	: "\xc4\x99"	eogonek
+<currency>	: "\xc2\xa4"	currency
+<sacute>	: "\xc5\x9b"	sacute
+<nacute>	: "\xc5\x84"	nacute
+<cacute>	: "\xc4\x87"	cacute
+<degree>	: "\xc2\xb0"	degree
+<Odiaeresis>	: "\xc3\x96"	Odiaeresis
+<Udiaeresis>	: "\xc3\x9c"	Udiaeresis
+<odiaeresis>	: "\xc3\xb6"	odiaeresis
+<udiaeresis>	: "\xc3\xbc"	udiaeresis
+<Oacute> 	: "\xc3\x93"	Oacute
+<odoubleacute>	: "\xc5\x91"	odoubleacute
+<Odoubleacute>	: "\xc5\x90"	Odoubleacute
+<Uacute>	: "\xc3\x9a"	Uacute
+<Eacute>	: "\xc3\x89"	Eacute
+<Aacute>	: "\xc3\x81"	Aacute
+<adiaeresis>	: "\xc3\xa4"	adiaeresis
+<Adiaeresis>	: "\xc3\x84"	Adiaeresis
+<udoubleacute>	: "\xc5\xb1"	udoubleacute
+<Udoubleacute>	: "\xc5\xb0"	Udoubleacute
+<Iacute>	: "\xc3\x8d"	Iacute
+<dead_circumflex> <slash>	: "\x7c"	bar
+<dead_circumflex> <period>	: "\xc2\xb7"	periodcentered
+<dead_circumflex> <exclam>	: "\xc2\xa6"	brokenbar
+<dead_cedilla> <minus>		: "\xc2\xac"	notsign
+<dead_circumflex> <underscore>	: "\xc2\xaf"	macron
+<dead_acute> <apostrophe>	: "\xc2\xb4"	acute
+<dead_cedilla> <comma>		: "\xc2\xb8"	cedilla
+<dead_diaeresis> <quotedbl>	: "\xc2\xa8"	diaeresis
+<Multi_key> <caron> <Z>		: "\xc5\xbd"	Zcaron
+<Multi_key> <Z> <caron> 	: "\xc5\xbd"	Zcaron
+<Multi_key> <v> <Z>		: "\xc5\xbd"	Zcaron
+<Multi_key> <Z> <v>		: "\xc5\xbd"	Zcaron
+<zcaron>			: "\xc5\xbe"	zcaron
+<Multi_key> <caron> <z>		: "\xc5\xbe"	zcaron
+<Multi_key> <z> <caron> 	: "\xc5\xbe"	zcaron
+<Multi_key> <z> <v>		: "\xc5\xbe"	zcaron
+<Multi_key> <v> <z>		: "\xc5\xbe"	zcaron
+Ctrl<T> <plus> <plus>		: "\x23"	numbersign
+Ctrl<T> <apostrophe> <space>	: "\x27"	apostrophe
+Ctrl<T> <space> <apostrophe>	: "\x27"	apostrophe
+Ctrl<T> <A> <A>			: "\x40"	at
+Ctrl<T> <parenleft> <parenleft>	: "\x5b"	bracketleft
+Ctrl<T> <slash> <slash>		: "\x5c"	backslash
+Ctrl<T> <slash> <less>		: "\x5c"	backslash
+Ctrl<T> <less> <slash>		: "\x5c"	backslash
+Ctrl<T> <parenright> <parenright>	: "\x5d"	bracketright
+Ctrl<T> <asciicircum> <space>	: "\x5e"	asciicircum
+Ctrl<T> <space> <asciicircum>	: "\x5e"	asciicircum
+Ctrl<T> <greater> <space>	: "\x5e"	asciicircum
+Ctrl<T> <space> <greater>	: "\x5e"	asciicircum
+Ctrl<T> <grave> <space>		: "\x60"	grave
+Ctrl<T> <space> <grave>		: "\x60"	grave
+Ctrl<T> <parenleft> <minus>	: "\x7b"	braceleft
+Ctrl<T> <minus> <parenleft>	: "\x7b"	braceleft
+Ctrl<T> <slash> <asciicircum>	: "\x7c"	bar
+Ctrl<T> <asciicircum> <slash>	: "\x7c"	bar
+Ctrl<T> <V> <L>			: "\x7c"	bar
+Ctrl<T> <L> <V>			: "\x7c"	bar
+Ctrl<T> <v> <l>			: "\x7c"	bar
+Ctrl<T> <l> <v>			: "\x7c"	bar
+Ctrl<T> <parenright> <minus>	: "\x7d"	braceright
+Ctrl<T> <minus> <parenright>	: "\x7d"	braceright
+Ctrl<T> <asciitilde> <space>	: "\x7e"	asciitilde
+Ctrl<T> <space> <asciitilde>	: "\x7e"	asciitilde
+Ctrl<T> <minus> <space>		: "\x7e"	asciitilde
+Ctrl<T> <space> <minus>		: "\x7e"	asciitilde
+Ctrl<T> <exclam> <exclam>	: "\xc2\xa1"	exclamdown
+Ctrl<T> <c> <slash>		: "\xc2\xa2"	cent
+Ctrl<T> <slash> <c>		: "\xc2\xa2"	cent
+Ctrl<T> <C> <slash>		: "\xc2\x82\xa1"	U20a1 # COLON SIGN
+Ctrl<T> <slash> <C>		: "\xc2\x82\xa1"	U20a1 # COLON SIGN
+Ctrl<T> <C> <bar>		: "\xc2\xa2"	cent
+Ctrl<T> <bar> <C>		: "\xc2\xa2"	cent
+Ctrl<T> <c> <bar>		: "\xc2\xa2"	cent
+Ctrl<T> <bar> <c>		: "\xc2\xa2"	cent
+Ctrl<T> <acute> <L>			: "\xc4\xb9"	Lacute
+Ctrl<T> <L> <acute> 		: "\xc4\xb9"	Lacute
+Ctrl<T> <acute> <l>			: "\xc4\xba"	lacute
+Ctrl<T> <l> <acute> 		: "\xc4\xba"	lacute
+Ctrl<T> <l> <minus>		: "\xc2\xa3"	sterling
+Ctrl<T> <minus> <l>		: "\xc2\xa3"	sterling
+Ctrl<T> <L> <minus>		: "\xc2\xa3"	sterling
+Ctrl<T> <minus> <L>		: "\xc2\xa3"	sterling
+Ctrl<T> <l> <equal>		: "\xc2\xa3"	sterling
+Ctrl<T> <equal> <l>		: "\xc2\xa3"	sterling
+Ctrl<T> <L> <equal>		: "\xc2\xa3"	sterling
+Ctrl<T> <equal> <L>		: "\xc2\xa3"	sterling
+Ctrl<T> <y> <minus>		: "\xc2\xa5"	yen
+Ctrl<T> <minus> <y>		: "\xc2\xa5"	yen
+Ctrl<T> <Y> <minus>		: "\xc2\xa5"	yen
+Ctrl<T> <minus> <Y>		: "\xc2\xa5"	yen
+Ctrl<T> <y> <equal>		: "\xc2\xa5"	yen
+Ctrl<T> <equal> <y>		: "\xc2\xa5"	yen
+Ctrl<T> <Y> <equal>		: "\xc2\xa5"	yen
+Ctrl<T> <equal> <Y>		: "\xc2\xa5"	yen
+Ctrl<T> <s> <o>			: "\xc2\xa7"	section
+Ctrl<T> <o> <s>			: "\xc2\xa7"	section
+Ctrl<T> <S> <O>			: "\xc2\xa7"	section
+Ctrl<T> <O> <S>			: "\xc2\xa7"	section
+Ctrl<T> <S> <exclam>		: "\xc2\xa7"	section
+Ctrl<T> <exclam> <S>		: "\xc2\xa7"	section
+Ctrl<T> <s> <exclam>		: "\xc2\xa7"	section
+Ctrl<T> <exclam> <s>		: "\xc2\xa7"	section
+Ctrl<T> <S> <0>			: "\xc2\xa7"	section
+Ctrl<T> <0> <S>			: "\xc2\xa7"	section
+Ctrl<T> <s> <0>			: "\xc2\xa7"	section
+Ctrl<T> <0> <s>			: "\xc2\xa7"	section
+Ctrl<T> <x> <o>			: "\xc2\xa4"	currency
+Ctrl<T> <o> <x>			: "\xc2\xa4"	currency
+Ctrl<T> <X> <O>			: "\xc2\xa4"	currency
+Ctrl<T> <O> <X>			: "\xc2\xa4"	currency
+Ctrl<T> <x> <O>			: "\xc2\xa4"	currency
+Ctrl<T> <O> <x>			: "\xc2\xa4"	currency
+Ctrl<T> <X> <o>			: "\xc2\xa4"	currency
+Ctrl<T> <o> <X>			: "\xc2\xa4"	currency
+Ctrl<T> <x> <0>			: "\xc2\xa4"	currency
+Ctrl<T> <0> <x>			: "\xc2\xa4"	currency
+Ctrl<T> <X> <0>			: "\xc2\xa4"	currency
+Ctrl<T> <0> <X>			: "\xc2\xa4"	currency
+Ctrl<T> <c> <o>			: "\xc2\xa9"	copyright
+Ctrl<T> <o> <c>			: "\xc2\xa9"	copyright
+Ctrl<T> <C> <O>			: "\xc2\xa9"	copyright
+Ctrl<T> <O> <C>			: "\xc2\xa9"	copyright
+Ctrl<T> <c> <O>			: "\xc2\xa9"	copyright
+Ctrl<T> <O> <c>			: "\xc2\xa9"	copyright
+Ctrl<T> <C> <o>			: "\xc2\xa9"	copyright
+Ctrl<T> <o> <C>			: "\xc2\xa9"	copyright
+Ctrl<T> <c> <0>			: "\xc2\xa9"	copyright
+Ctrl<T> <0> <c>			: "\xc2\xa9"	copyright
+Ctrl<T> <C> <0>			: "\xc2\xa9"	copyright
+Ctrl<T> <0> <C>			: "\xc2\xa9"	copyright
+Ctrl<T> <a> <underscore>	: "\xc2\xaa"	ordfeminine
+Ctrl<T> <underscore> <a>	: "\xc2\xaa"	ordfeminine
+Ctrl<T> <A> <underscore>	: "\xc2\xaa"	ordfeminine
+Ctrl<T> <underscore> <A>	: "\xc2\xaa"	ordfeminine
+Ctrl<T> <O> <underscore>	: "\xc2\xba"	masculine
+Ctrl<T> <o> <underscore>	: "\xc2\xba"	masculine
+Ctrl<T> <underscore> <o>	: "\xc2\xba"	masculine
+Ctrl<T> <underscore> <O>	: "\xc2\xba"	masculine
+Ctrl<T> <less> <less>		: "\xc2\xab"	guillemotleft
+Ctrl<T> <greater> <greater>	: "\xc2\xbb"	guillemotright
+Ctrl<T> <0> <asciicircum>	: "\xc2\xb0"	degree
+Ctrl<T> <asciicircum> <0>	: "\xc2\xb0"	degree
+Ctrl<T> <0> <asterisk>		: "\xc2\xb0"	degree
+Ctrl<T> <asterisk> <0>		: "\xc2\xb0"	degree
+Ctrl<T> <plus> <minus>		: "\xc2\xb1"	plusminus
+Ctrl<T> <minus> <plus>		: "\xc2\xb1"	plusminus
+Ctrl<T> <slash> <u>		: "\xc2\xb5"	mu
+Ctrl<T> <u> <slash>		: "\xc2\xb5"	mu
+Ctrl<T> <slash> <U>		: "\xc2\xb5"	mu
+Ctrl<T> <U> <slash>		: "\xc2\xb5"	mu
+Ctrl<T> <1> <asciicircum>	: "\xc2\xb9"	onesuperior
+Ctrl<T> <asciicircum> <1>	: "\xc2\xb9"	onesuperior
+Ctrl<T> <S> <1>			: "\xc2\xb9"	onesuperior
+Ctrl<T> <1> <S>			: "\xc2\xb9"	onesuperior
+Ctrl<T> <s> <1>			: "\xc2\xb9"	onesuperior
+Ctrl<T> <1> <s>			: "\xc2\xb9"	onesuperior
+Ctrl<T> <2> <asciicircum>	: "\xc2\xb2"	twosuperior
+Ctrl<T> <asciicircum> <2>	: "\xc2\xb2"	twosuperior
+Ctrl<T> <S> <2>			: "\xc2\xb2"	twosuperior
+Ctrl<T> <2> <S>			: "\xc2\xb2"	twosuperior
+Ctrl<T> <s> <2>			: "\xc2\xb2"	twosuperior
+Ctrl<T> <2> <s>			: "\xc2\xb2"	twosuperior
+Ctrl<T> <3> <asciicircum>	: "\xc2\xb3"	threesuperior
+Ctrl<T> <asciicircum> <3>	: "\xc2\xb3"	threesuperior
+Ctrl<T> <S> <3>			: "\xc2\xb3"	threesuperior
+Ctrl<T> <3> <S>			: "\xc2\xb3"	threesuperior
+Ctrl<T> <s> <3>			: "\xc2\xb3"	threesuperior
+Ctrl<T> <3> <s>			: "\xc2\xb3"	threesuperior
+Ctrl<T> <p> <exclam>		: "\xc2\xb6"	paragraph
+Ctrl<T> <exclam> <p>		: "\xc2\xb6"	paragraph
+Ctrl<T> <P> <exclam>		: "\xc2\xb6"	paragraph
+Ctrl<T> <exclam> <P>		: "\xc2\xb6"	paragraph
+Ctrl<T> <period> <asciicircum>	: "\xc2\xb7"	periodcentered
+Ctrl<T> <asciicircum> <period>	: "\xc2\xb7"	periodcentered
+Ctrl<T> <period> <minus>	: "\xc2\xb7"	periodcentered
+Ctrl<T> <1> <4>			: "\xc2\xbc"	onequarter
+Ctrl<T> <1> <2>			: "\xc2\xbd"	onehalf
+Ctrl<T> <3> <4>			: "\xc2\xbe"	threequarters
+Ctrl<T> <question> <question>	: "\xc2\xbf"	questiondown
+Ctrl<T> <space> <space>		: "\xc2\xa0"	nobreakspace
+Ctrl<T> <bar> <bar>		: "\xc2\xa6"	brokenbar
+Ctrl<T> <exclam> <asciicircum>	: "\xc2\xa6"	brokenbar
+Ctrl<T> <asciicircum> <exclam>	: "\xc2\xa6"	brokenbar
+Ctrl<T> <V> <B>			: "\xc2\xa6"	brokenbar
+Ctrl<T> <B> <V>			: "\xc2\xa6"	brokenbar
+Ctrl<T> <v> <b>			: "\xc2\xa6"	brokenbar
+Ctrl<T> <b> <v>			: "\xc2\xa6"	brokenbar
+Ctrl<T> <minus> <comma>		: "\xc2\xac"	notsign
+Ctrl<T> <comma> <minus>		: "\xc2\xac"	notsign
+Ctrl<T> <R> <O>			: "\xc2\xae"	registered
+Ctrl<T> <O> <R>			: "\xc2\xae"	registered
+Ctrl<T> <minus> <asciicircum>	: "\xc2\xaf"	macron
+Ctrl<T> <asciicircum> <minus>	: "\xc2\xaf"	macron
+Ctrl<T> <underscore> <asciicircum>	: "\xc2\xaf"	macron
+Ctrl<T> <asciicircum> <underscore>	: "\xc2\xaf"	macron
+Ctrl<T> <underscore> <underscore>	: "\xc2\xaf"	macron
+Ctrl<T> <minus> <colon>		: "\xc3\xb7"	division
+Ctrl<T> <colon> <minus>		: "\xc3\xb7"	division
+Ctrl<T> <x> <x>			: "\xc3\x97"	multiply
+Ctrl<T> <apostrophe> <apostrophe>	: "\xc2\xb4"	acute
+Ctrl<T> <comma> <comma>		: "\xc2\xb8"	cedilla
+Ctrl<T> <quotedbl> <quotedbl>	: "\xc2\xa8"	diaeresis
+Ctrl<T> <A> <grave>		: "\xc3\x80"	Agrave
+Ctrl<T> <grave> <A>		: "\xc3\x80"	Agrave
+Ctrl<T> <A> <acute>		: "\xc3\x81"	Aacute
+Ctrl<T> <acute> <A>		: "\xc3\x81"	Aacute
+Ctrl<T> <A> <apostrophe>	: "\xc3\x81"	Aacute
+Ctrl<T> <apostrophe> <A>	: "\xc3\x81"	Aacute
+Ctrl<T> <A> <asciicircum>	: "\xc3\x82"	Acircumflex
+Ctrl<T> <asciicircum> <A>	: "\xc3\x82"	Acircumflex
+Ctrl<T> <A> <greater>		: "\xc3\x82"	Acircumflex
+Ctrl<T> <greater> <A>		: "\xc3\x82"	Acircumflex
+Ctrl<T> <A> <asciitilde>	: "\xc3\x83"	Atilde
+Ctrl<T> <asciitilde> <A>	: "\xc3\x83"	Atilde
+Ctrl<T> <A> <minus>		: "\xc3\x83"	Atilde
+Ctrl<T> <minus> <A>		: "\xc3\x83"	Atilde
+Ctrl<T> <A> <quotedbl>		: "\xc3\x84"	Adiaeresis
+Ctrl<T> <quotedbl> <A>		: "\xc3\x84"	Adiaeresis
+Ctrl<T> <A> <asterisk>		: "\xc3\x85"	Aring
+Ctrl<T> <asterisk> <A>		: "\xc3\x85"	Aring
+Ctrl<T> <A> <E>			: "\xc3\x86"	AE
+Ctrl<T> <a> <grave>		: "\xc3\xa0"	agrave
+Ctrl<T> <grave> <a>		: "\xc3\xa0"	agrave
+Ctrl<T> <a> <acute>		: "\xc3\xa1"	aacute
+Ctrl<T> <acute> <a>		: "\xc3\xa1"	aacute
+Ctrl<T> <a> <apostrophe>	: "\xc3\xa1"	aacute
+Ctrl<T> <apostrophe> <a>	: "\xc3\xa1"	aacute
+Ctrl<T> <a> <asciicircum>	: "\xc3\xa2"	acircumflex
+Ctrl<T> <asciicircum> <a>	: "\xc3\xa2"	acircumflex
+Ctrl<T> <a> <greater>		: "\xc3\xa2"	acircumflex
+Ctrl<T> <greater> <a>		: "\xc3\xa2"	acircumflex
+Ctrl<T> <a> <asciitilde>	: "\xc3\xa3"	atilde
+Ctrl<T> <asciitilde> <a>	: "\xc3\xa3"	atilde
+Ctrl<T> <a> <minus>		: "\xc3\xa3"	atilde
+Ctrl<T> <minus> <a>		: "\xc3\xa3"	atilde
+Ctrl<T> <a> <quotedbl>		: "\xc3\xa4"	adiaeresis
+Ctrl<T> <quotedbl> <a>		: "\xc3\xa4"	adiaeresis
+Ctrl<T> <a> <asterisk>		: "\xc3\xa5"	aring
+Ctrl<T> <asterisk> <a>		: "\xc3\xa5"	aring
+Ctrl<T> <a> <e>			: "\xc3\xa6"	ae
+Ctrl<T> <C> <comma>		: "\xc3\x87"	Ccedilla
+Ctrl<T> <comma> <C>		: "\xc3\x87"	Ccedilla
+Ctrl<T> <c> <comma>		: "\xc3\xa7"	ccedilla
+Ctrl<T> <comma> <c>		: "\xc3\xa7"	ccedilla
+Ctrl<T> <minus> <D>		: "\xc3\x90"	ETH
+Ctrl<T> <D> <minus>		: "\xc3\x90"	ETH
+Ctrl<T> <minus> <d>		: "\xc3\xb0"	eth
+Ctrl<T> <d> <minus>		: "\xc3\xb0"	eth
+Ctrl<T> <E> <grave>		: "\xc3\x88"	Egrave
+Ctrl<T> <grave> <E>		: "\xc3\x88"	Egrave
+Ctrl<T> <E> <acute>		: "\xc3\x89"	Eacute
+Ctrl<T> <acute> <E>		: "\xc3\x89"	Eacute
+Ctrl<T> <E> <apostrophe>	: "\xc3\x89"	Eacute
+Ctrl<T> <apostrophe> <E>	: "\xc3\x89"	Eacute
+Ctrl<T> <E> <asciicircum>	: "\xc3\x8a"	Ecircumflex
+Ctrl<T> <asciicircum> <E>	: "\xc3\x8a"	Ecircumflex
+Ctrl<T> <E> <greater>		: "\xc3\x8a"	Ecircumflex
+Ctrl<T> <greater> <E>		: "\xc3\x8a"	Ecircumflex
+Ctrl<T> <E> <quotedbl>		: "\xc3\x8b"	Ediaeresis
+Ctrl<T> <quotedbl> <E>		: "\xc3\x8b"	Ediaeresis
+Ctrl<T> <e> <grave>		: "\xc3\xa8"	egrave
+Ctrl<T> <grave> <e>		: "\xc3\xa8"	egrave
+Ctrl<T> <e> <acute>		: "\xc3\xa9"	eacute
+Ctrl<T> <acute> <e>		: "\xc3\xa9"	eacute
+Ctrl<T> <e> <apostrophe>	: "\xc3\xa9"	eacute
+Ctrl<T> <apostrophe> <e>	: "\xc3\xa9"	eacute
+Ctrl<T> <e> <asciicircum>	: "\xc3\xaa"	ecircumflex
+Ctrl<T> <asciicircum> <e>	: "\xc3\xaa"	ecircumflex
+Ctrl<T> <e> <greater>		: "\xc3\xaa"	ecircumflex
+Ctrl<T> <greater> <e>		: "\xc3\xaa"	ecircumflex
+Ctrl<T> <e> <quotedbl>		: "\xc3\xab"	ediaeresis
+Ctrl<T> <quotedbl> <e>		: "\xc3\xab"	ediaeresis
+Ctrl<T> <I> <grave>		: "\xc3\x8c"	Igrave
+Ctrl<T> <grave> <I>		: "\xc3\x8c"	Igrave
+Ctrl<T> <I> <acute>		: "\xc3\x8d"	Iacute
+Ctrl<T> <acute> <I>		: "\xc3\x8d"	Iacute
+Ctrl<T> <I> <apostrophe>	: "\xc3\x8d"	Iacute
+Ctrl<T> <apostrophe> <I>	: "\xc3\x8d"	Iacute
+Ctrl<T> <I> <asciicircum>	: "\xc3\x8e"	Icircumflex
+Ctrl<T> <asciicircum> <I>	: "\xc3\x8e"	Icircumflex
+Ctrl<T> <I> <greater>		: "\xc3\x8e"	Icircumflex
+Ctrl<T> <greater> <I>		: "\xc3\x8e"	Icircumflex
+Ctrl<T> <I> <quotedbl>		: "\xc3\x8f"	Idiaeresis
+Ctrl<T> <quotedbl> <I>		: "\xc3\x8f"	Idiaeresis
+Ctrl<T> <i> <grave>		: "\xc3\xac"	igrave
+Ctrl<T> <grave> <i>		: "\xc3\xac"	igrave
+Ctrl<T> <i> <acute>		: "\xc3\xad"	iacute
+Ctrl<T> <acute> <i>		: "\xc3\xad"	iacute
+Ctrl<T> <i> <apostrophe>	: "\xc3\xad"	iacute
+Ctrl<T> <apostrophe> <i>	: "\xc3\xad"	iacute
+Ctrl<T> <i> <asciicircum>	: "\xc3\xae"	icircumflex
+Ctrl<T> <asciicircum> <i>	: "\xc3\xae"	icircumflex
+Ctrl<T> <i> <greater>		: "\xc3\xae"	icircumflex
+Ctrl<T> <greater> <i>		: "\xc3\xae"	icircumflex
+Ctrl<T> <i> <quotedbl>		: "\xc3\xaf"	idiaeresis
+Ctrl<T> <quotedbl> <i>		: "\xc3\xaf"	idiaeresis
+Ctrl<T> <N> <asciitilde>	: "\xc3\x91"	Ntilde
+Ctrl<T> <asciitilde> <N>	: "\xc3\x91"	Ntilde
+Ctrl<T> <N> <minus>		: "\xc3\x91"	Ntilde
+Ctrl<T> <minus> <N>		: "\xc3\x91"	Ntilde
+Ctrl<T> <n> <asciitilde>	: "\xc3\xb1"	ntilde
+Ctrl<T> <asciitilde> <n>	: "\xc3\xb1"	ntilde
+Ctrl<T> <n> <minus>		: "\xc3\xb1"	ntilde
+Ctrl<T> <minus> <n>		: "\xc3\xb1"	ntilde
+Ctrl<T> <O> <grave>		: "\xc3\x92"	Ograve
+Ctrl<T> <grave> <O>		: "\xc3\x92"	Ograve
+Ctrl<T> <O> <acute>		: "\xc3\x93"	Oacute
+Ctrl<T> <acute> <O>		: "\xc3\x93"	Oacute
+Ctrl<T> <O> <apostrophe>	: "\xc3\x93"	Oacute
+Ctrl<T> <apostrophe> <O>	: "\xc3\x93"	Oacute
+Ctrl<T> <O> <asciicircum>	: "\xc3\x94"	Ocircumflex
+Ctrl<T> <asciicircum> <O>	: "\xc3\x94"	Ocircumflex
+Ctrl<T> <O> <greater>		: "\xc3\x94"	Ocircumflex
+Ctrl<T> <greater> <O>		: "\xc3\x94"	Ocircumflex
+Ctrl<T> <O> <asciitilde>	: "\xc3\x95"	Otilde
+Ctrl<T> <asciitilde> <O>	: "\xc3\x95"	Otilde
+Ctrl<T> <O> <minus>		: "\xc3\x95"	Otilde
+Ctrl<T> <minus> <O>		: "\xc3\x95"	Otilde
+Ctrl<T> <O> <quotedbl>		: "\xc3\x96"	Odiaeresis
+Ctrl<T> <quotedbl> <O>		: "\xc3\x96"	Odiaeresis
+Ctrl<T> <O> <slash>		: "\xc3\x98"	Ooblique
+Ctrl<T> <slash> <O>		: "\xc3\x98"	Ooblique
+Ctrl<T> <o> <grave>		: "\xc3\xb2"	ograve
+Ctrl<T> <grave> <o>		: "\xc3\xb2"	ograve
+Ctrl<T> <o> <acute>		: "\xc3\xb3"	oacute
+Ctrl<T> <acute> <o>		: "\xc3\xb3"	oacute
+Ctrl<T> <o> <apostrophe>	: "\xc3\xb3"	oacute
+Ctrl<T> <apostrophe> <o>	: "\xc3\xb3"	oacute
+Ctrl<T> <o> <asciicircum>	: "\xc3\xb4"	ocircumflex
+Ctrl<T> <asciicircum> <o>	: "\xc3\xb4"	ocircumflex
+Ctrl<T> <o> <greater>		: "\xc3\xb4"	ocircumflex
+Ctrl<T> <greater> <o>		: "\xc3\xb4"	ocircumflex
+Ctrl<T> <o> <asciitilde>	: "\xc3\xb5"	otilde
+Ctrl<T> <asciitilde> <o>	: "\xc3\xb5"	otilde
+Ctrl<T> <o> <minus>		: "\xc3\xb5"	otilde
+Ctrl<T> <minus> <o>		: "\xc3\xb5"	otilde
+Ctrl<T> <o> <quotedbl>		: "\xc3\xb6"	odiaeresis
+Ctrl<T> <quotedbl> <o>		: "\xc3\xb6"	odiaeresis
+Ctrl<T> <o> <slash>		: "\xc3\xb8"	oslash
+Ctrl<T> <slash> <o>		: "\xc3\xb8"	oslash
+Ctrl<T> <U> <grave>		: "\xc3\x99"	Ugrave
+Ctrl<T> <grave> <U>		: "\xc3\x99"	Ugrave
+Ctrl<T> <U> <acute>		: "\xc3\x9a"	Uacute
+Ctrl<T> <acute> <U>		: "\xc3\x9a"	Uacute
+Ctrl<T> <U> <apostrophe>	: "\xc3\x9a"	Uacute
+Ctrl<T> <apostrophe> <U>	: "\xc3\x9a"	Uacute
+Ctrl<T> <U> <asciicircum>	: "\xc3\x9b"	Ucircumflex
+Ctrl<T> <asciicircum> <U>	: "\xc3\x9b"	Ucircumflex
+Ctrl<T> <U> <greater>		: "\xc3\x9b"	Ucircumflex
+Ctrl<T> <greater> <U>		: "\xc3\x9b"	Ucircumflex
+Ctrl<T> <U> <quotedbl>		: "\xc3\x9c"	Udiaeresis
+Ctrl<T> <quotedbl> <U>		: "\xc3\x9c"	Udiaeresis
+Ctrl<T> <u> <grave>		: "\xc3\xb9"	ugrave
+Ctrl<T> <grave> <u>		: "\xc3\xb9"	ugrave
+Ctrl<T> <u> <acute>		: "\xc3\xba"	uacute
+Ctrl<T> <acute> <u>		: "\xc3\xba"	uacute
+Ctrl<T> <u> <apostrophe>	: "\xc3\xba"	uacute
+Ctrl<T> <apostrophe> <u>	: "\xc3\xba"	uacute
+Ctrl<T> <u> <asciicircum>	: "\xc3\xbb"	ucircumflex
+Ctrl<T> <asciicircum> <u>	: "\xc3\xbb"	ucircumflex
+Ctrl<T> <u> <greater>		: "\xc3\xbb"	ucircumflex
+Ctrl<T> <greater> <u>		: "\xc3\xbb"	ucircumflex
+Ctrl<T> <u> <quotedbl>		: "\xc3\xbc"	udiaeresis
+Ctrl<T> <quotedbl> <u>		: "\xc3\xbc"	udiaeresis
+Ctrl<T> <s> <s>			: "\xc3\x9f"	ssharp
+Ctrl<T> <T> <H>			: "\xc3\x9e"	THORN
+Ctrl<T> <t> <h>			: "\xc3\xbe"	thorn
+Ctrl<T> <Y> <acute>		: "\xc3\x9d"	Yacute
+Ctrl<T> <acute> <Y>		: "\xc3\x9d"	Yacute
+Ctrl<T> <Y> <apostrophe>	: "\xc3\x9d"	Yacute
+Ctrl<T> <apostrophe> <Y>	: "\xc3\x9d"	Yacute
+Ctrl<T> <y> <acute>		: "\xc3\xbd"	yacute
+Ctrl<T> <acute> <y>		: "\xc3\xbd"	yacute
+Ctrl<T> <y> <apostrophe>	: "\xc3\xbd"	yacute
+Ctrl<T> <apostrophe> <y>	: "\xc3\xbd"	yacute
+Ctrl<T> <y> <quotedbl>		: "\xc3\xbf"	ydiaeresis
+Ctrl<T> <quotedbl> <y>		: "\xc3\xbf"	ydiaeresis
+XCOMM turkish
+<Multi_key> <G> <u>		: "\xc4\x9e"	Gbreve
+<Multi_key> <u> <G>		: "\xc4\x9e"	Gbreve
+<Multi_key> <g> <u>		: "\xc4\x9f"	gbreve
+<Multi_key> <u> <g>		: "\xc4\x9f"	gbreve
+<Multi_key> <I> <period>	: "\xc4\xb0"	Iabovedot
+XCOMM polish
+<Multi_key> <space> <breve>	: "\xcb\x98"	breve
+<Multi_key> <space> <degree>	: "\xc2\xb0"	degree
+<Multi_key> <space> <ogonek>	: "\xcb\x9b"	ogonek
+<Multi_key> <space> <caron>	: "\xcb\x87"	caron
+<Multi_key> <space> <v>		: "\xcb\x87"	caron
+<Multi_key> <space> <doubleacute> : "\xcb\x9d"	doubleacute
+<Multi_key> <diaeresis> <A>	: "\xc3\x84"	Adiaeresis
+<Multi_key> <A> <diaeresis> 	: "\xc3\x84"	Adiaeresis
+<Multi_key> <diaeresis> <E>	: "\xc3\x8b" 	Ediaeresis
+<Multi_key> <E> <diaeresis> 	: "\xc3\x8b" 	Ediaeresis
+<Multi_key> <diaeresis> <O>	: "\xc3\x96"	Odiaeresis
+<Multi_key> <O> <diaeresis> 	: "\xc3\x96"	Odiaeresis
+<Multi_key> <diaeresis> <U>	: "\xc3\x9c"	Udiaeresis
+<Multi_key> <U> <diaeresis> 	: "\xc3\x9c"	Udiaeresis
+<Multi_key> <diaeresis> <a>	: "\xc3\xa4"	adiaeresis
+<Multi_key> <a> <diaeresis> 	: "\xc3\xa4"	adiaeresis
+<Multi_key> <diaeresis> <e>	: "\xc3\xab"	ediaeresis
+<Multi_key> <e> <diaeresis> 	: "\xc3\xab"	ediaeresis
+<Multi_key> <diaeresis> <o>	: "\xc3\xb6"	odiaeresis
+<Multi_key> <o> <diaeresis> 	: "\xc3\xb6"	odiaeresis
+<Multi_key> <diaeresis> <u>	: "\xc3\xbc"	udiaeresis
+<Multi_key> <u> <diaeresis> 	: "\xc3\xbc"	udiaeresis
+<Multi_key> <R> <acute> 	: "\xc5\x94"	Racute
+<Multi_key> <S> <acute> 	: "\xc5\x9a"	Sacute
+<Multi_key> <Z> <acute> 	: "\xc4\xbe"	Zacute
+<Multi_key> <n> <acute> 	: "\xc5\x84"	nacute
+<Multi_key> <r> <acute> 	: "\xc5\x95"	racute
+<Multi_key> <s> <acute> 	: "\xc5\x9b"	sacute
+<Multi_key> <z> <acute> 	: "\xc5\xba"	zacute
+<Multi_key> <0> <O>		: "\xc2\xb0"	degree
+<Multi_key> <S> <comma> 	: "\xc5\x9e"	Scedilla
+<Multi_key> <T> <comma> 	: "\xc5\xa2"	Tcedilla
+<Multi_key> <s> <comma> 	: "\xc5\x9f"	scedilla
+<Multi_key> <t> <comma> 	: "\xc5\xa3"	tcedilla
+<Multi_key> <caron> <C>		: "\xc4\x8c"	Ccaron
+<Multi_key> <C> <caron> 	: "\xc4\x8c"	Ccaron
+<Multi_key> <caron> <D>		: "\xc4\x8e"	Dcaron
+<Multi_key> <D> <caron> 	: "\xc4\x8e"	Dcaron
+<Multi_key> <caron> <E>		: "\xc4\x9a"	Ecaron
+<Multi_key> <E> <caron> 	: "\xc4\x9a"	Ecaron
+<Multi_key> <caron> <L>		: "\xc4\xbd"	Lcaron
+<Multi_key> <L> <caron> 	: "\xc4\xbd"	Lcaron
+<Multi_key> <caron> <N>		: "\xc5\x87" 	Ncaron
+<Multi_key> <N> <caron>		: "\xc5\x87" 	Ncaron
+<Multi_key> <caron> <R>		: "\xc5\x98"	Rcaron
+<Multi_key> <R> <caron> 	: "\xc5\x98"	Rcaron
+<Multi_key> <caron> <S>		: "\xc5\xa0"	Scaron
+<Multi_key> <S> <caron> 	: "\xc5\xa0"	Scaron
+<Multi_key> <caron> <T>		: "\xc5\xa4"	Tcaron
+<Multi_key> <T> <caron> 	: "\xc5\xa4"	Tcaron
+<Multi_key> <caron> <U>		: "\xc5\xae"	Uring
+<Multi_key> <U> <caron> 	: "\xc5\xae"	Uring
+<Multi_key> <caron> <c>		: "\xc4\x8d"	ccaron
+<Multi_key> <c> <caron> 	: "\xc4\x8d"	ccaron
+<Multi_key> <caron> <d>		: "\xc4\x8f"	dcaron
+<Multi_key> <d> <caron> 	: "\xc4\x8f"	dcaron
+<Multi_key> <caron> <e>		: "\xc4\x9b"	ecaron
+<Multi_key> <e> <caron> 	: "\xc4\x9b"	ecaron
+<Multi_key> <caron> <l>		: "\xc4\xbe"	lcaron
+<Multi_key> <l> <caron> 	: "\xc4\xbe"	lcaron
+<Multi_key> <caron> <n>		: "\xc5\x88"	ncaron
+<Multi_key> <n> <caron> 	: "\xc5\x88"	ncaron
+<Multi_key> <caron> <r>		: "\xc5\x99"	rcaron
+<Multi_key> <r> <caron> 	: "\xc5\x99"	rcaron
+<Multi_key> <caron> <s>		: "\xc5\xa1"	scaron
+<Multi_key> <s> <caron> 	: "\xc5\xa1"	scaron
+<Multi_key> <caron> <t>		: "\xc5\xa5"	tcaron
+<Multi_key> <t> <caron> 	: "\xc5\xa5"	tcaron
+<Multi_key> <caron> <u>		: "\xc5\xaf"	uring
+<Multi_key> <u> <caron> 	: "\xc5\xaf"	uring
+<Multi_key> <v> <C>		: "\xc4\x8c"	Ccaron
+<Multi_key> <C> <v> 		: "\xc4\x8c"	Ccaron
+<Multi_key> <v> <D>		: "\xc4\x8e"	Dcaron
+<Multi_key> <D> <v> 		: "\xc4\x8e"	Dcaron
+<Multi_key> <v> <E>		: "\xc4\x9a"	Ecaron
+<Multi_key> <E> <v> 		: "\xc4\x9a"	Ecaron
+<Multi_key> <v> <N>		: "\xc5\x87" 	Ncaron
+<Multi_key> <N> <v>		: "\xc5\x87" 	Ncaron
+<Multi_key> <v> <R>		: "\xc5\x98"	Rcaron
+<Multi_key> <R> <v> 		: "\xc5\x98"	Rcaron
+<Multi_key> <v> <T>		: "\xc5\xa4"	Tcaron
+<Multi_key> <T> <v> 		: "\xc5\xa4"	Tcaron
+<Multi_key> <v> <U>		: "\xc5\xae"	Uring
+<Multi_key> <U> <v> 		: "\xc5\xae"	Uring
+<Multi_key> <v> <c>		: "\xc4\x8d"	ccaron
+<Multi_key> <c> <v> 		: "\xc4\x8d"	ccaron
+<Multi_key> <v> <d>		: "\xc4\x8f"	dcaron
+<Multi_key> <d> <v> 		: "\xc4\x8f"	dcaron
+<Multi_key> <v> <e>		: "\xc4\x9b"	ecaron
+<Multi_key> <e> <v> 		: "\xc4\x9b"	ecaron
+<Multi_key> <v> <n>		: "\xc5\x88"	ncaron
+<Multi_key> <n> <v> 		: "\xc5\x88"	ncaron
+<Multi_key> <v> <r>		: "\xc5\x99"	rcaron
+<Multi_key> <r> <v> 		: "\xc5\x99"	rcaron
+<Multi_key> <v> <t>		: "\xc5\xa5"	tcaron
+<Multi_key> <t> <v> 		: "\xc5\xa5"	tcaron
+<Multi_key> <v> <u>		: "\xc5\xaf"	uring
+<Multi_key> <u> <v> 		: "\xc5\xaf"	uring
+<Multi_key> <breve> <A>		: "\xc4\x82"	Abreve
+<Multi_key> <A> <breve> 	: "\xc4\x82"	Abreve
+<Multi_key> <breve> <a>		: "\xc4\x83"	abreve
+<Multi_key> <a> <breve> 	: "\xc4\x83"	abreve
+<Multi_key> <ogonek> <A>	: "\xc4\x84"	Aogonek
+<Multi_key> <A> <ogonek> 	: "\xc4\x84"	Aogonek
+<Multi_key> <ogonek> <E>	: "\xc4\x98"	Eogonek
+<Multi_key> <E> <ogonek> 	: "\xc4\x98"	Eogonek
+<Multi_key> <ogonek> <a> 	: "\xc4\x85"	aogonek
+<Multi_key> <a> <ogonek> 	: "\xc4\x85"	aogonek
+<Multi_key> <ogonek> <e> 	: "\xc4\x99"	eogonek
+<Multi_key> <e> <ogonek> 	: "\xc4\x99"	eogonek
+<Multi_key> <E> <a> 		: "\xc4\x98"	Eogonek
+<Multi_key> <e> <a> 		: "\xc4\x99"	eogonek
+<Multi_key> <doubleacute> <O>	: "\xc5\x90"	Odoubleacute
+<Multi_key> <O> <doubleacute> 	: "\xc5\x90"	Odoubleacute
+<Multi_key> <doubleacute> <U>	: "\xc5\xb0"	Udoubleacute
+<Multi_key> <U> <doubleacute> 	: "\xc5\xb0"	Udoubleacute
+<Multi_key> <doubleacute> <o>	: "\xc5\x91"	odoubleacute
+<Multi_key> <o> <doubleacute> 	: "\xc5\x91"	odoubleacute
+<Multi_key> <doubleacute> <u>	: "\xc5\xb1"	udoubleacute
+<Multi_key> <u> <doubleacute> 	: "\xc5\xb1"	udoubleacute
+<Multi_key> <period> <U>	: "\xc5\xae"	Uring
+<Multi_key> <U> <period> 	: "\xc5\xae"	Uring
+<Multi_key> <period> <u>	: "\xc5\xaf"	uring
+<Multi_key> <u> <period> 	: "\xc5\xaf"	uring
+<Multi_key> <z> <period> 	: "\xc5\xbc"	zabovedot
+<Multi_key> <Z> <period> 	: "\xc5\xbb"	Zabovedot
+<acute> <A>		: "\xc3\x81"	Aacute
+<acute> <C>		: "\xc4\x86"	Cacute
+<acute> <E>		: "\xc3\x89"	Eacute
+<acute> <I>		: "\xc3\x8d"	Iacute
+<acute> <L>		: "\xc4\xb9"	Lacute
+<acute> <N>		: "\xc5\x83"	Nacute
+<acute> <O>		: "\xc3\x93"	Oacute
+<acute> <R>		: "\xc5\x94"	Racute
+<acute> <S>		: "\xc5\x9a"	Sacute
+<acute> <U>		: "\xc3\x9a"	Uacute
+<acute> <Y>		: "\xc3\x9d"	Yacute
+<acute> <Z>		: "\xc4\xbe"	Zacute
+<acute> <a>		: "\xc3\xa1"	aacute
+<acute> <c>		: "\xc4\x87"	cacute
+<acute> <e>		: "\xc3\xa9"	eacute
+<acute> <i>		: "\xc3\xad"	iacute
+<acute> <l>		: "\xc4\xba"	lacute
+<acute> <n>		: "\xc5\x84"	nacute
+<acute> <o>		: "\xc3\xb3"	oacute
+<acute> <r>		: "\xc5\x95"	racute
+<acute> <s>		: "\xc5\x9b"	sacute
+<acute> <u>		: "\xc3\xba"	uacute
+<acute> <y>		: "\xc3\xbd"	yacute
+<acute> <z>		: "\xc5\xba"	zacute
+<diaeresis> <A>		: "\xc3\x84" 	Adiaeresis
+<diaeresis> <E>		: "\xc3\x8b"	Ediaeresis
+<diaeresis> <O>		: "\xc3\x96"	Odiaeresis
+<diaeresis> <U>		: "\xc3\x9c"	Udiaeresis
+<diaeresis> <a>		: "\xc3\xa4" 	adiaeresis
+<diaeresis> <e>		: "\xc3\xab"	ediaeresis
+<diaeresis> <o>		: "\xc3\xb6"	odiaeresis
+<diaeresis> <u>		: "\xc3\xbc"	udiaeresis
+XCOMM
+XCOMM Additional latin-2 sequences
+<Multi_key> <a> <space>		: "\xcb\x9b"	ogonek
+<Multi_key> <u> <space>		: "\xcb\x98"	breve
+<Multi_key> <v> <space>		: "\xcb\x87"	caron
+<Multi_key> <quotedbl> <space>	: "\xcb\x9d"	doubleacute
+<Multi_key> <A> <u>		: "\xc4\x82"	Abreve
+<Multi_key> <C> <apostrophe>	: "\xc4\x86"	Cacute
+<Multi_key> <L> <apostrophe>	: "\xc4\xb9"	Lacute
+<Multi_key> <L> <slash>		: "\xc5\x81"	Lstroke
+<Multi_key> <L> <greater>	: "\xc4\xbd"	Lcaron
+<Multi_key> <N> <apostrophe>	: "\xc5\x83"	Nacute
+<Multi_key> <S> <apostrophe>	: "\xc5\x9a"	Sacute
+<Multi_key> <R> <apostrophe>	: "\xc5\x94"	Racute
+<Multi_key> <U> <asterisk>	: "\xc5\xae"	Uring
+<Multi_key> <Z> <apostrophe>	: "\xc5\xb9"	Zacute
+<Multi_key> <a> <u>		: "\xc4\x83"	abreve
+<Multi_key> <c> <apostrophe>	: "\xc4\x87"	cacute
+<Multi_key> <l> <apostrophe>	: "\xc4\xba"	lacute
+<Multi_key> <l> <slash>		: "\xc5\x82"	lstroke
+<Multi_key> <l> <greater>	: "\xc4\xbe"	lcaron
+<Multi_key> <n> <apostrophe>	: "\xc5\x84"	nacute
+<Multi_key> <s> <apostrophe>	: "\xc5\x9b"	sacute
+<Multi_key> <r> <apostrophe>	: "\xc5\x95"	racute
+<Multi_key> <u> <asterisk>	: "\xc5\xaf"	uring
+<Multi_key> <z> <apostrophe>	: "\xc5\xba"	zacute
+XCOMM
+XCOMM keysyms for division and multiply:
+<division>		: "\xc3\xb7"	division
+<multiply>		: "\xc3\x97"	multiply
+XCOMM
+XCOMM Latin-3 sequences
+<Multi_key> <C> <asciicircum>	: "\xc4\x88"	Ccircumflex
+<Multi_key> <C> <greater>	: "\xc4\x88"	Ccircumflex
+<Multi_key> <greater> <C>	: "\xc4\x88"	Ccircumflex
+
+<Multi_key> <c> <asciicircum>	: "\xc4\x89"	ccircumflex
+<Multi_key> <c> <greater>	: "\xc4\x89"	ccircumflex
+<Multi_key> <greater> <c>	: "\xc4\x89"	ccircumflex
+
+<Multi_key> <C> <period> 	: "\xc4\x8a"	Cabovedot
+
+<Multi_key> <c> <period> 	: "\xc4\x8b"	cabovedot
+
+<Multi_key> <G> <asciicircum>	: "\xc4\x9c"	Gcircumflex
+<Multi_key> <G> <greater>	: "\xc4\x9c"	Gcircumflex
+<Multi_key> <greater> <G>	: "\xc4\x9c"	Gcircumflex
+
+<Multi_key> <g> <asciicircum>	: "\xc4\x9d"	gcircumflex
+<Multi_key> <g> <greater>	: "\xc4\x9d"	gcircumflex
+<Multi_key> <greater> <g>	: "\xc4\x9d"	gcircumflex
+
+<Multi_key> <G> <period> 	: "\xc4\xa0"	Gabovedot
+
+<Multi_key> <g> <period> 	: "\xc4\xa1"	gabovedot
+
+<Multi_key> <H> <asciicircum>	: "\xc4\xa4"	Hcircumflex
+<Multi_key> <H> <greater>	: "\xc4\xa4"	Hcircumflex
+<Multi_key> <greater> <H>	: "\xc4\xa4"	Hcircumflex
+
+<Multi_key> <h> <asciicircum>	: "\xc4\xa5"	hcircumflex
+<Multi_key> <h> <greater>	: "\xc4\xa5"	hcircumflex
+<Multi_key> <greater> <h>	: "\xc4\xa5"	hcircumflex
+
+<Multi_key> <J> <asciicircum>	: "\xc4\xb4"	Jcircumflex
+<Multi_key> <J> <greater>	: "\xc4\xb4"	Jcircumflex
+<Multi_key> <greater> <J>	: "\xc4\xb4"	Jcircumflex
+
+<Multi_key> <j> <asciicircum>	: "\xc4\xb5"	jcircumflex
+<Multi_key> <j> <greater>	: "\xc4\xb5"	jcircumflex
+<Multi_key> <greater> <j>	: "\xc4\xb5"	jcircumflex
+
+<Multi_key> <S> <asciicircum>	: "\xc5\x9c"	Scircumflex
+<Multi_key> <S> <greater>	: "\xc5\x9c"	Scircumflex
+<Multi_key> <greater> <S>	: "\xc5\x9c"	Scircumflex
+
+<Multi_key> <s> <asciicircum>	: "\xc5\x9d"	scircumflex
+<Multi_key> <s> <greater>	: "\xc5\x9d"	scircumflex
+<Multi_key> <greater> <s>	: "\xc5\x9d"	scircumflex
+
+<Multi_key> <U> <breve>		: "\xc5\xac"	Ubreve
+<Multi_key> <breve> <U>		: "\xc5\xac"	Ubreve
+<Multi_key> <u> <U>		: "\xc5\xac"	Ubreve
+
+<Multi_key> <u> <breve>		: "\xc5\xad"	ubreve
+<Multi_key> <breve> <u>		: "\xc5\xad"	ubreve
+XCOMM
+XCOMM Additional Latin-3 keysyms and compose sequences:
+<cabovedot>		: "\xc4\x8b"	cabovedot
+<Cabovedot>		: "\xc4\x8a"	Cabovedot
+<gabovedot>		: "\xc4\xa1"	gabovedot
+<Gabovedot>		: "\xc4\xa0"	Gabovedot
+<hstroke>		: "\xc4\xa7"	hstroke
+<Hstroke>		: "\xc4\xa6"	Hstroke
+<Multi_key> <h> <bar>	: "\xc4\xa7"	hstroke
+<Multi_key> <bar> <h>	: "\xc4\xa7"	hstroke
+<Multi_key> <h> <slash>	: "\xc4\xa7"	hstroke
+<Multi_key> <H> <bar>	: "\xc4\xa6"	Hstroke
+<Multi_key> <bar> <H>	: "\xc4\xa6"	Hstroke
+<Multi_key> <H> <slash>	: "\xc4\xa6"	Hstroke
+Ctrl<T> <h> <bar>	: "\xc4\xa7"	hstroke
+Ctrl<T> <bar> <h>	: "\xc4\xa7"	hstroke
+Ctrl<T> <h> <slash>	: "\xc4\xa7"	hstroke
+Ctrl<T> <slash> <h>	: "\xc4\xa7"	hstroke
+Ctrl<T> <H> <bar>	: "\xc4\xa6"	Hstroke
+Ctrl<T> <bar> <H>	: "\xc4\xa6"	Hstroke
+Ctrl<T> <H> <slash>	: "\xc4\xa6"	Hstroke
+Ctrl<T> <slash> <H>	: "\xc4\xa6"	Hstroke
+XCOMM Latin-4 sequences
+<Multi_key> <N> <N>		: "\xc5\x8a"	ENG
+<Multi_key> <u> <a>		: "\xc5\xb3"	uogonek
+<Multi_key> <R> <comma>		: "\xc5\x96"	Rcedilla
+<Multi_key> <r> <comma>		: "\xc5\x97"	rcedilla
+<Multi_key> <I> <asciitilde>	: "\xc4\xa8"	Itilde
+<Multi_key> <i> <asciitilde>	: "\xc4\xa9"	itilde
+<Multi_key> <L> <comma>		: "\xc4\xbb"	Lcedilla
+<Multi_key> <l> <comma>		: "\xc4\xbc"	lcedilla
+<diaeresis> <space>		: "\xc2\xa8"	diaeresis
+<Multi_key> <S> <v>		: "\xc5\xa0"	Scaron
+<Multi_key> <S> <V>		: "\xc5\xa0"	Scaron
+<Multi_key> <v> <S>		: "\xc5\xa0"	Scaron
+<Multi_key> <V> <S>		: "\xc5\xa0"	Scaron
+<Multi_key> <s> <v>		: "\xc5\xa1"	scaron
+<Multi_key> <s> <V>		: "\xc5\xa1"	scaron
+<Multi_key> <v> <s>		: "\xc5\xa1"	scaron
+<Multi_key> <V> <s>		: "\xc5\xa1"	scaron
+<Multi_key> <E> <underscore>	: "\xc4\x92"	Emacron
+<Multi_key> <e> <underscore>	: "\xc4\x93"	emacron
+<Multi_key> <G> <comma>		: "\xc4\xa2"	Gcedilla
+<Multi_key> <g> <comma>		: "\xc4\xa3"	gcedilla
+<Multi_key> <T> <bar>		: "\xc5\xa6"	Tslash
+<Multi_key> <bar> <T>		: "\xc5\xa6"	Tslash
+<Multi_key> <t> <bar>		: "\xc5\xa7"	tslash
+<Multi_key> <bar> <t>		: "\xc5\xa7"	tslash
+<Multi_key> <n> <n>		: "\xc5\x8b" 	eng
+<Multi_key> <A> <underscore>	: "\xc4\x80"	Amacron
+<Multi_key> <a> <underscore>	: "\xc4\x81"	amacron
+<Multi_key> <d> <underscore>	: "\xc4\x91"
+<Multi_key> <underscore> <d> 	: "\xc4\x91"
+<Multi_key> <N> <comma>		: "\xc5\x85"	Ncedilla
+<Multi_key> <n> <comma>		: "\xc5\x86"	ncedilla
+<Multi_key> <O> <underscore>	: "\xc5\x8c"	Omacron
+<Multi_key> <o> <underscore>	: "\xc5\x8d"	omacron
+<Multi_key> <K> <comma>		: "\xc4\xb6"	Kcedilla
+<Multi_key> <k> <comma>		: "\xc4\xb7"	kcedilla
+<Multi_key> <I> <a>		: "\xc4\xae"	Iogonek
+<Multi_key> <a> <I>		: "\xc4\xae"	Iogonek
+<Multi_key> <i> <a>		: "\xc4\xaf"	iogonek
+<Multi_key> <a> <i>		: "\xc4\xaf"	iogonek
+<Multi_key> <E> <period>	: "\xc4\x96"	Eabovedot
+<Multi_key> <e> <period>	: "\xc4\x97"	eabovedot
+<Multi_key> <U> <asciitilde>	: "\xc5\xa8"	Utilde
+<Multi_key> <u> <asciitilde>	: "\xc5\xa9"	utilde
+<Multi_key> <U> <underscore>	: "\xc5\xaa"	Umacron
+<Multi_key> <u> <underscore>	: "\xc5\xab"	umacron
+<Multi_key> <I> <underscore>	: "\xc4\xaa"	Imacron
+<Multi_key> <i> <underscore>	: "\xc4\xab"	imacron
+
+XCOMM Ctrl<T> combo
+Ctrl<T> <a> <A>			: "\xc4\x84"	Aogonek
+Ctrl<T> <A> <a> 			: "\xc4\x84"	Aogonek
+Ctrl<T> <a> <a> 			: "\xc4\x85"	aogonek
+Ctrl<T> <C> <acute> 		: "\xc4\x86"	Cacute
+Ctrl<T> <c> <acute> 		: "\xc4\x87"	cacute
+Ctrl<T> <acute> <C>			: "\xc4\x86"	Cacute
+Ctrl<T> <acute> <c>			: "\xc4\x87"	cacute
+Ctrl<T> <acute> <N>			: "\xc5\x83"	Nacute
+Ctrl<T> <N> <acute> 		: "\xc5\x83"	Nacute
+XCOMM Ctrl<T> <minus> <D>		: "\xc3\x90"	ETH
+XCOMM Ctrl<T> <minus> <d>		: "\xc3\xb0"	eth
+Ctrl<T> <slash> <D>			: "\xc4\x90"	Dstroke
+Ctrl<T> <slash> <d>			: "\xc4\x91"	dstroke
+Ctrl<T> <caron> <Z>		: "\xc5\xbd"	Zcaron
+Ctrl<T> <Z> <caron> 	: "\xc5\xbd"	Zcaron
+Ctrl<T> <v> <Z>		: "\xc5\xbd"	Zcaron
+Ctrl<T> <Z> <v>		: "\xc5\xbd"	Zcaron
+Ctrl<T> <caron> <z>		: "\xc5\xbe"	zcaron
+Ctrl<T> <z> <caron> 	: "\xc5\xbe"	zcaron
+Ctrl<T> <z> <v>		: "\xc5\xbe"	zcaron
+Ctrl<T> <v> <z>		: "\xc5\xbe"	zcaron
+Ctrl<T> <G> <u>		: "\xc4\x9e"	Gbreve
+Ctrl<T> <u> <G>		: "\xc4\x9e"	Gbreve
+Ctrl<T> <g> <u>		: "\xc4\x9f"	gbreve
+Ctrl<T> <u> <g>		: "\xc4\x9f"	gbreve
+Ctrl<T> <I> <period>	: "\xc4\xb0"	Iabovedot
+Ctrl<T> <period> <I>	: "\xc4\xb0"	Iabovedot
+Ctrl<T> <i> <period>	: "\xc4\xb1"	idotless
+Ctrl<T> <period> <i>	: "\xc4\xb1"	idotless
+Ctrl<T> <space> <breve>	: "\xcb\x98"	breve
+Ctrl<T> <space> <degree>	: "\xc2\xb0"	degree
+Ctrl<T> <space> <ogonek>	: "\xcb\x9b"	ogonek
+Ctrl<T> <space> <caron>	: "\xcb\x87"	caron
+Ctrl<T> <space> <v>		: "\xcb\x87"	caron
+Ctrl<T> <space> <doubleacute> : "\xcb\x9d"	doubleacute
+Ctrl<T> <diaeresis> <A>	: "\xc3\x84"	Adiaeresis
+Ctrl<T> <A> <diaeresis> 	: "\xc3\x84"	Adiaeresis
+Ctrl<T> <diaeresis> <E>	: "\xc3\x8b" 	Ediaeresis
+Ctrl<T> <E> <diaeresis> 	: "\xc3\x8b" 	Ediaeresis
+Ctrl<T> <diaeresis> <O>	: "\xc3\x96"	Odiaeresis
+Ctrl<T> <O> <diaeresis> 	: "\xc3\x96"	Odiaeresis
+Ctrl<T> <diaeresis> <U>	: "\xc3\x9c"	Udiaeresis
+Ctrl<T> <U> <diaeresis> 	: "\xc3\x9c"	Udiaeresis
+Ctrl<T> <diaeresis> <a>	: "\xc3\xa4"	adiaeresis
+Ctrl<T> <a> <diaeresis> 	: "\xc3\xa4"	adiaeresis
+Ctrl<T> <diaeresis> <e>	: "\xc3\xab"	ediaeresis
+Ctrl<T> <e> <diaeresis> 	: "\xc3\xab"	ediaeresis
+Ctrl<T> <diaeresis> <o>	: "\xc3\xb6"	odiaeresis
+Ctrl<T> <o> <diaeresis> 	: "\xc3\xb6"	odiaeresis
+Ctrl<T> <diaeresis> <u>	: "\xc3\xbc"	udiaeresis
+Ctrl<T> <u> <diaeresis> 	: "\xc3\xbc"	udiaeresis
+Ctrl<T> <acute> <R>		: "\xc5\x94"	Racute
+Ctrl<T> <R> <acute> 	: "\xc5\x94"	Racute
+Ctrl<T> <acute> <S>		: "\xc5\x9a"	Sacute
+Ctrl<T> <S> <acute> 	: "\xc5\x9a"	Sacute
+Ctrl<T> <acute> <Z>		: "\xc4\xbe"	Zacute
+Ctrl<T> <Z> <acute> 	: "\xc4\xbe"	Zacute
+Ctrl<T> <acute> <n>		: "\xc5\x84"	nacute
+Ctrl<T> <n> <acute> 	: "\xc5\x84"	nacute
+Ctrl<T> <acute> <r>		: "\xc5\x95"	racute
+Ctrl<T> <r> <acute> 	: "\xc5\x95"	racute
+Ctrl<T> <acute> <s>		: "\xc5\x9b"	sacute
+Ctrl<T> <s> <acute> 	: "\xc5\x9b"	sacute
+Ctrl<T> <acute> <z>		: "\xc5\xba"	zacute
+Ctrl<T> <z> <acute> 	: "\xc5\xba"	zacute
+Ctrl<T> <0> <O>		: "\xc2\xb0"	degree
+Ctrl<T> <o> <o> 		: "\xc2\xb0"	degree
+Ctrl<T> <comma> <S>		: "\xc5\x9e"	Scedilla
+Ctrl<T> <S> <comma> 	: "\xc5\x9e"	Scedilla
+Ctrl<T> <comma> <T>		: "\xc5\xa2"	Tcedilla
+Ctrl<T> <T> <comma> 	: "\xc5\xa2"	Tcedilla
+Ctrl<T> <comma> <s>		: "\xc5\x9f"	scedilla
+Ctrl<T> <s> <comma> 	: "\xc5\x9f"	scedilla
+Ctrl<T> <comma> <t>		: "\xc5\xa3"	tcedilla
+Ctrl<T> <t> <comma> 	: "\xc5\xa3"	tcedilla
+Ctrl<T> <caron> <C>		: "\xc4\x8c"	Ccaron
+Ctrl<T> <C> <caron> 	: "\xc4\x8c"	Ccaron
+Ctrl<T> <caron> <D>		: "\xc4\x8e"	Dcaron
+Ctrl<T> <D> <caron> 	: "\xc4\x8e"	Dcaron
+Ctrl<T> <caron> <E>		: "\xc4\x9a"	Ecaron
+Ctrl<T> <E> <caron> 	: "\xc4\x9a"	Ecaron
+Ctrl<T> <caron> <L>		: "\xc4\xbd"	Lcaron
+Ctrl<T> <L> <caron> 	: "\xc4\xbd"	Lcaron
+Ctrl<T> <caron> <N>		: "\xc5\x87" 	Ncaron
+Ctrl<T> <N> <caron>		: "\xc5\x87" 	Ncaron
+Ctrl<T> <caron> <R>		: "\xc5\x98"	Rcaron
+Ctrl<T> <R> <caron> 	: "\xc5\x98"	Rcaron
+Ctrl<T> <caron> <S>		: "\xc5\xa0"	Scaron
+Ctrl<T> <S> <caron> 	: "\xc5\xa0"	Scaron
+Ctrl<T> <caron> <T>		: "\xc5\xa4"	Tcaron
+Ctrl<T> <T> <caron> 	: "\xc5\xa4"	Tcaron
+Ctrl<T> <caron> <U>		: "\xc5\xae"	Uring
+Ctrl<T> <U> <caron> 	: "\xc5\xae"	Uring
+Ctrl<T> <caron> <c>		: "\xc4\x8d"	ccaron
+Ctrl<T> <c> <caron> 	: "\xc4\x8d"	ccaron
+Ctrl<T> <caron> <d>		: "\xc4\x8f"	dcaron
+Ctrl<T> <d> <caron> 	: "\xc4\x8f"	dcaron
+Ctrl<T> <caron> <e>		: "\xc4\x9b"	ecaron
+Ctrl<T> <e> <caron> 	: "\xc4\x9b"	ecaron
+Ctrl<T> <caron> <l>		: "\xc4\xbe"	lcaron
+Ctrl<T> <l> <caron> 	: "\xc4\xbe"	lcaron
+Ctrl<T> <caron> <n>		: "\xc5\x88"	ncaron
+Ctrl<T> <n> <caron> 	: "\xc5\x88"	ncaron
+Ctrl<T> <caron> <r>		: "\xc5\x99"	rcaron
+Ctrl<T> <r> <caron> 	: "\xc5\x99"	rcaron
+Ctrl<T> <caron> <s>		: "\xc5\xa1"	scaron
+Ctrl<T> <s> <caron> 	: "\xc5\xa1"	scaron
+Ctrl<T> <caron> <t>		: "\xc5\xa5"	tcaron
+Ctrl<T> <t> <caron> 	: "\xc5\xa5"	tcaron
+Ctrl<T> <caron> <u>		: "\xc5\xaf"	uring
+Ctrl<T> <u> <caron> 	: "\xc5\xaf"	uring
+Ctrl<T> <v> <C>		: "\xc4\x8c"	Ccaron
+Ctrl<T> <C> <v> 		: "\xc4\x8c"	Ccaron
+Ctrl<T> <v> <D>		: "\xc4\x8e"	Dcaron
+Ctrl<T> <D> <v> 		: "\xc4\x8e"	Dcaron
+Ctrl<T> <v> <E>		: "\xc4\x9a"	Ecaron
+Ctrl<T> <E> <v> 		: "\xc4\x9a"	Ecaron
+Ctrl<T> <v> <N>		: "\xc5\x87" 	Ncaron
+Ctrl<T> <N> <v>		: "\xc5\x87" 	Ncaron
+Ctrl<T> <v> <R>		: "\xc5\x98"	Rcaron
+Ctrl<T> <R> <v> 		: "\xc5\x98"	Rcaron
+Ctrl<T> <v> <T>		: "\xc5\xa4"	Tcaron
+Ctrl<T> <T> <v> 		: "\xc5\xa4"	Tcaron
+Ctrl<T> <v> <U>		: "\xc5\xae"	Uring
+Ctrl<T> <U> <v> 		: "\xc5\xae"	Uring
+Ctrl<T> <v> <c>		: "\xc4\x8d"	ccaron
+Ctrl<T> <c> <v> 		: "\xc4\x8d"	ccaron
+Ctrl<T> <v> <d>		: "\xc4\x8f"	dcaron
+Ctrl<T> <d> <v> 		: "\xc4\x8f"	dcaron
+Ctrl<T> <v> <e>		: "\xc4\x9b"	ecaron
+Ctrl<T> <e> <v> 		: "\xc4\x9b"	ecaron
+Ctrl<T> <v> <n>		: "\xc5\x88"	ncaron
+Ctrl<T> <n> <v> 		: "\xc5\x88"	ncaron
+Ctrl<T> <v> <r>		: "\xc5\x99"	rcaron
+Ctrl<T> <r> <v> 		: "\xc5\x99"	rcaron
+Ctrl<T> <v> <t>		: "\xc5\xa5"	tcaron
+Ctrl<T> <t> <v> 		: "\xc5\xa5"	tcaron
+Ctrl<T> <v> <u>		: "\xc5\xaf"	uring
+Ctrl<T> <u> <v> 		: "\xc5\xaf"	uring
+Ctrl<T> <breve> <A>		: "\xc4\x82"	Abreve
+Ctrl<T> <A> <breve> 	: "\xc4\x82"	Abreve
+Ctrl<T> <breve> <a>		: "\xc4\x83"	abreve
+Ctrl<T> <a> <breve> 	: "\xc4\x83"	abreve
+Ctrl<T> <ogonek> <A>	: "\xc4\x84"	Aogonek
+Ctrl<T> <A> <ogonek> 	: "\xc4\x84"	Aogonek
+Ctrl<T> <ogonek> <E>	: "\xc4\x98"	Eogonek
+Ctrl<T> <E> <ogonek> 	: "\xc4\x98"	Eogonek
+Ctrl<T> <ogonek> <a> 	: "\xc4\x85"	aogonek
+Ctrl<T> <a> <ogonek> 	: "\xc4\x85"	aogonek
+Ctrl<T> <ogonek> <e> 	: "\xc4\x99"	eogonek
+Ctrl<T> <e> <ogonek> 	: "\xc4\x99"	eogonek
+Ctrl<T> <E> <a> 		: "\xc4\x98"	Eogonek
+Ctrl<T> <e> <a> 		: "\xc4\x99"	eogonek
+Ctrl<T> <doubleacute> <O>	: "\xc5\x90"	Odoubleacute
+Ctrl<T> <O> <doubleacute> 	: "\xc5\x90"	Odoubleacute
+Ctrl<T> <doubleacute> <U>	: "\xc5\xb0"	Udoubleacute
+Ctrl<T> <U> <doubleacute> 	: "\xc5\xb0"	Udoubleacute
+Ctrl<T> <doubleacute> <o>	: "\xc5\x91"	odoubleacute
+Ctrl<T> <o> <doubleacute> 	: "\xc5\x91"	odoubleacute
+Ctrl<T> <doubleacute> <u>	: "\xc5\xb1"	udoubleacute
+Ctrl<T> <u> <doubleacute> 	: "\xc5\xb1"	udoubleacute
+Ctrl<T> <period> <U>	: "\xc5\xae"	Uring
+Ctrl<T> <U> <period> 	: "\xc5\xae"	Uring
+Ctrl<T> <period> <u>	: "\xc5\xaf"	uring
+Ctrl<T> <u> <period> 	: "\xc5\xaf"	uring
+Ctrl<T> <period> <z>	: "\xc5\xbc"	zabovedot
+Ctrl<T> <z> <period> 	: "\xc5\xbc"	zabovedot
+Ctrl<T> <period> <Z>	: "\xc5\xbb"	Zabovedot
+Ctrl<T> <Z> <period> 	: "\xc5\xbb"	Zabovedot
+Ctrl<T> <a> <space>	: "\xcb\x9b"	ogonek
+Ctrl<T> <u> <space>	: "\xcb\x98"	breve
+Ctrl<T> <v> <space>	: "\xcb\x87"	caron
+Ctrl<T> <quotedbl> <space>	: "\xcb\x9d"	doubleacute
+Ctrl<T> <A> <u>			: "\xc4\x82"	Abreve
+Ctrl<T> <C> <apostrophe>	: "\xc4\x86"	Cacute
+Ctrl<T> <L> <apostrophe>	: "\xc4\xb9"	Lacute
+Ctrl<T> <L> <slash>		: "\xc5\x81"	Lstroke
+Ctrl<T> <L> <greater>		: "\xc4\xbd"	Lcaron
+Ctrl<T> <N> <apostrophe>	: "\xc5\x83"	Nacute
+Ctrl<T> <S> <apostrophe>	: "\xc5\x9a"	Sacute
+Ctrl<T> <R> <apostrophe>	: "\xc5\x94"	Racute
+Ctrl<T> <U> <asterisk>		: "\xc5\xae"	Uring
+Ctrl<T> <Z> <apostrophe>	: "\xc5\xb9"	Zacute
+Ctrl<T> <a> <u>			: "\xc4\x83"	abreve
+Ctrl<T> <c> <apostrophe>	: "\xc4\x87"	cacute
+Ctrl<T> <l> <apostrophe>	: "\xc4\xba"	lacute
+Ctrl<T> <l> <slash>		: "\xc5\x82"	lstroke
+Ctrl<T> <l> <greater>		: "\xc4\xbe"	lcaron
+Ctrl<T> <n> <apostrophe>	: "\xc5\x84"	nacute
+Ctrl<T> <s> <apostrophe>	: "\xc5\x9b"	sacute
+Ctrl<T> <r> <apostrophe>	: "\xc5\x95"	racute
+Ctrl<T> <u> <asterisk>		: "\xc5\xaf"	uring
+Ctrl<T> <z> <apostrophe>	: "\xc5\xba"	zacute
+XCOMM
+XCOMM Latin-3 sequences
+Ctrl<T> <C> <asciicircum>	: "\xc4\x88"	Ccircumflex
+Ctrl<T> <asciicircum> <C>	: "\xc4\x88"	Ccircumflex
+Ctrl<T> <C> <greater>		: "\xc4\x88"	Ccircumflex
+Ctrl<T> <greater> <C>		: "\xc4\x88"	Ccircumflex
+
+Ctrl<T> <c> <asciicircum>	: "\xc4\x89"	ccircumflex
+Ctrl<T> <asciicircum> <c>	: "\xc4\x89"	ccircumflex
+Ctrl<T> <c> <greater>		: "\xc4\x89"	ccircumflex
+Ctrl<T> <greater> <c>		: "\xc4\x89"	ccircumflex
+
+Ctrl<T> <period> <C>		: "\xc4\x8a"	Cabovedot
+Ctrl<T> <C> <period> 		: "\xc4\x8a"	Cabovedot
+
+Ctrl<T> <period> <c>		: "\xc4\x8b"	cabovedot
+Ctrl<T> <c> <period> 		: "\xc4\x8b"	cabovedot
+
+Ctrl<T> <G> <asciicircum>	: "\xc4\x9c"	Gcircumflex
+Ctrl<T> <asciicircum> <G>	: "\xc4\x9c"	Gcircumflex
+Ctrl<T> <G> <greater>		: "\xc4\x9c"	Gcircumflex
+Ctrl<T> <greater> <G>		: "\xc4\x9c"	Gcircumflex
+
+Ctrl<T> <g> <asciicircum>	: "\xc4\x9d"	gcircumflex
+Ctrl<T> <asciicircum> <g>	: "\xc4\x9d"	gcircumflex
+Ctrl<T> <g> <greater>		: "\xc4\x9d"	gcircumflex
+Ctrl<T> <greater> <g>		: "\xc4\x9d"	gcircumflex
+
+Ctrl<T> <period> <G>		: "\xc4\xa0"	Gabovedot
+Ctrl<T> <G> <period> 		: "\xc4\xa0"	Gabovedot
+
+Ctrl<T> <period> <g>		: "\xc4\xa1"	gabovedot
+Ctrl<T> <g> <period> 		: "\xc4\xa1"	gabovedot
+
+Ctrl<T> <H> <asciicircum>	: "\xc4\xa4"	Hcircumflex
+Ctrl<T> <asciicircum> <H>	: "\xc4\xa4"	Hcircumflex
+Ctrl<T> <H> <greater>		: "\xc4\xa4"	Hcircumflex
+Ctrl<T> <greater> <H>		: "\xc4\xa4"	Hcircumflex
+
+Ctrl<T> <h> <asciicircum>	: "\xc4\xa5"	hcircumflex
+Ctrl<T> <asciicircum> <h>	: "\xc4\xa5"	hcircumflex
+Ctrl<T> <h> <greater>		: "\xc4\xa5"	hcircumflex
+Ctrl<T> <greater> <h>		: "\xc4\xa5"	hcircumflex
+
+Ctrl<T> <J> <asciicircum>	: "\xc4\xb4"	Jcircumflex
+Ctrl<T> <asciicircum> <J>	: "\xc4\xb4"	Jcircumflex
+Ctrl<T> <J> <greater>		: "\xc4\xb4"	Jcircumflex
+Ctrl<T> <greater> <J>		: "\xc4\xb4"	Jcircumflex
+
+Ctrl<T> <j> <asciicircum>	: "\xc4\xb5"	jcircumflex
+Ctrl<T> <asciicircum> <j>	: "\xc4\xb5"	jcircumflex
+Ctrl<T> <j> <greater>		: "\xc4\xb5"	jcircumflex
+Ctrl<T> <greater> <j>		: "\xc4\xb5"	jcircumflex
+
+Ctrl<T> <S> <asciicircum>	: "\xc5\x9c"	Scircumflex
+Ctrl<T> <asciicircum> <S>	: "\xc5\x9c"	Scircumflex
+Ctrl<T> <S> <greater>		: "\xc5\x9c"	Scircumflex
+Ctrl<T> <greater> <S>		: "\xc5\x9c"	Scircumflex
+
+Ctrl<T> <s> <asciicircum>	: "\xc5\x9d"	scircumflex
+Ctrl<T> <asciicircum> <s>	: "\xc5\x9d"	scircumflex
+Ctrl<T> <s> <greater>		: "\xc5\x9d"	scircumflex
+Ctrl<T> <greater> <s>		: "\xc5\x9d"	scircumflex
+
+Ctrl<T> <U> <breve>		: "\xc5\xac"	Ubreve
+Ctrl<T> <breve> <U>		: "\xc5\xac"	Ubreve
+Ctrl<T> <U> <u>			: "\xc5\xac"	Ubreve
+Ctrl<T> <u> <U>			: "\xc5\xac"	Ubreve
+
+Ctrl<T> <u> <breve>		: "\xc5\xad"	ubreve
+Ctrl<T> <breve> <u>		: "\xc5\xad"	ubreve
+Ctrl<T> <u> <u>			: "\xc5\xad"	ubreve
+XCOMM
+XCOMM Latin-4 sequences
+Ctrl<T> <N> <N>		: "\xc5\x8a"	ENG
+Ctrl<T> <U> <a>		: "\xc5\xb2"	Uogonek
+Ctrl<T> <u> <a>		: "\xc5\xb3"	uogonek
+Ctrl<T> <k> <k>		: "\xc4\xb8"	kra
+Ctrl<T> <R> <comma>		: "\xc5\x96"	Rcedilla
+Ctrl<T> <comma> <R>		: "\xc5\x96"	Rcedilla
+Ctrl<T> <r> <comma>		: "\xc5\x97"	rcedilla
+Ctrl<T> <comma> <r>		: "\xc5\x97"	rcedilla
+Ctrl<T> <I> <asciitilde>	: "\xc4\xa8"	Itilde
+Ctrl<T> <asciitilde> <I>	: "\xc4\xa8"	Itilde
+Ctrl<T> <i> <asciitilde>	: "\xc4\xa9"	itilde
+Ctrl<T> <asciitilde> <i>	: "\xc4\xa9"	itilde
+Ctrl<T> <L> <comma>		: "\xc4\xbb"	Lcedilla
+Ctrl<T> <comma> <L>		: "\xc4\xbb"	Lcedilla
+Ctrl<T> <l> <comma>		: "\xc4\xbc"	lcedilla
+Ctrl<T> <comma> <l>		: "\xc4\xbc"	lcedilla
+Ctrl<T> <S> <v>		: "\xc5\xa0"	Scaron
+Ctrl<T> <S> <V>		: "\xc5\xa0"	Scaron
+Ctrl<T> <v> <S>		: "\xc5\xa0"	Scaron
+Ctrl<T> <V> <S>		: "\xc5\xa0"	Scaron
+Ctrl<T> <s> <v>		: "\xc5\xa1"	scaron
+Ctrl<T> <s> <V>		: "\xc5\xa1"	scaron
+Ctrl<T> <v> <s>		: "\xc5\xa1"	scaron
+Ctrl<T> <V> <s>		: "\xc5\xa1"	scaron
+Ctrl<T> <E> <underscore>	: "\xc4\x92"	Emacron
+Ctrl<T> <underscore> <E>	: "\xc4\x92"	Emacron
+Ctrl<T> <e> <underscore>	: "\xc4\x93"	emacron
+Ctrl<T> <underscore> <e>	: "\xc4\x93"	emacron
+Ctrl<T> <G> <comma>		: "\xc4\xa2"	Gcedilla
+Ctrl<T> <comma> <G>		: "\xc4\xa2"	Gcedilla
+Ctrl<T> <g> <comma>		: "\xc4\xa3"	gcedilla
+Ctrl<T> <comma> <g>		: "\xc4\xa3"	gcedilla
+Ctrl<T> <T> <bar>		: "\xc5\xa6"	Tslash
+Ctrl<T> <bar> <T>		: "\xc5\xa6"	Tslash
+Ctrl<T> <t> <bar>		: "\xc5\xa7"	tslash
+Ctrl<T> <bar> <t>		: "\xc5\xa7"	tslash
+Ctrl<T> <n> <n>		: "\xc5\x8b" 	eng
+Ctrl<T> <d> <underscore>	: "\xc4\x91"
+Ctrl<T> <underscore> <d> 	: "\xc4\x91"
+Ctrl<T> <N> <comma>		: "\xc5\x85"	Ncedilla
+Ctrl<T> <comma> <N>		: "\xc5\x85"	Ncedilla
+Ctrl<T> <n> <comma>		: "\xc5\x86"	ncedilla
+Ctrl<T> <comma> <n>		: "\xc5\x86"	ncedilla
+Ctrl<T> <K> <comma>		: "\xc4\xb6"	Kcedilla
+Ctrl<T> <comma> <K>		: "\xc4\xb6"	Kcedilla
+Ctrl<T> <k> <comma>		: "\xc4\xb7"	kcedilla
+Ctrl<T> <comma> <k>		: "\xc4\xb7"	kcedilla
+Ctrl<T> <I> <a>		: "\xc4\xae"	Iogonek
+Ctrl<T> <a> <I>		: "\xc4\xae"	Iogonek
+Ctrl<T> <i> <a>		: "\xc4\xaf"	iogonek
+Ctrl<T> <a> <i>		: "\xc4\xaf"	iogonek
+Ctrl<T> <E> <period>	: "\xc4\x96"	Eabovedot
+Ctrl<T> <e> <period>	: "\xc4\x97"	eabovedot
+Ctrl<T> <U> <asciitilde>	: "\xc5\xa8"	Utilde
+Ctrl<T> <asciitilde> <U>	: "\xc5\xa8"	Utilde
+Ctrl<T> <u> <asciitilde>	: "\xc5\xa9"	utilde
+Ctrl<T> <asciitilde> <u>	: "\xc5\xa9"	utilde
+Ctrl<T> <U> <underscore>	: "\xc5\xaa"	Umacron
+Ctrl<T> <underscore> <U>	: "\xc5\xaa"	Umacron
+Ctrl<T> <u> <underscore>	: "\xc5\xab"	umacron
+Ctrl<T> <underscore> <u>	: "\xc5\xab"	umacron
+Ctrl<T> <I> <underscore>	: "\xc4\xaa"	Imacron
+Ctrl<T> <underscore> <I> 	: "\xc4\xaa"	Imacron
+Ctrl<T> <i> <underscore>	: "\xc4\xab"	imacron
+Ctrl<T> <underscore> <i> 	: "\xc4\xab"	imacron
+XCOMM
+XCOMM Latin-9 input sequences:
+<Multi_key> <Y> <quotedbl> 	: "\xc5\xb8"
+Ctrl<T> <o> <e> 		: "\xc5\x93"
+Ctrl<T> <O> <E> 		: "\xc5\x92"
+Ctrl<T> <Y> <quotedbl> 		: "\xc5\xb8"
+Ctrl<T> <quotedbl> <Y>		: "\xc5\xb8"
+XCOMM
+XCOMM Rules for SunXK_FA_* keysyms:
+<SunFA_Acute> <apostrophe>	: "\xc2\xb4"
+<SunFA_Acute> <A>		: "\xc3\x81"
+<SunFA_Acute> <a>		: "\xc3\xa1"
+<SunFA_Acute> <C>		: "\xc4\x86"
+<SunFA_Acute> <c>		: "\xc4\x87"
+<SunFA_Acute> <E>		: "\xc3\x89"
+<SunFA_Acute> <e>		: "\xc3\xa9"
+<SunFA_Acute> <I>		: "\xc3\x8d"
+<SunFA_Acute> <i>		: "\xc3\xad"
+<SunFA_Acute> <L>		: "\xc4\xb9"
+<SunFA_Acute> <l>		: "\xc4\xba"
+<SunFA_Acute> <N>		: "\xc5\x83"
+<SunFA_Acute> <n>		: "\xc5\x84"
+<SunFA_Acute> <O>		: "\xc3\x93"
+<SunFA_Acute> <o>		: "\xc3\xb3"
+<SunFA_Acute> <R>		: "\xc5\x94"
+<SunFA_Acute> <r>		: "\xc5\x95"
+<SunFA_Acute> <space>		: "\x27"
+<SunFA_Acute> <S>		: "\xc5\x9a"
+<SunFA_Acute> <s>		: "\xc5\x9b"
+<SunFA_Acute> <U>		: "\xc3\x9a"
+<SunFA_Acute> <u>		: "\xc3\xba"
+<SunFA_Acute> <Y>		: "\xc3\x9d"
+<SunFA_Acute> <y>		: "\xc3\xbd"
+<SunFA_Acute> <Z>		: "\xc4\xbe"
+<SunFA_Acute> <z>		: "\xc5\xba"
+<SunFA_Cedilla> <comma>		: "\xc2\xb8"
+<SunFA_Cedilla> <C>		: "\xc3\x87"
+<SunFA_Cedilla> <c>		: "\xc3\xa7"
+<SunFA_Cedilla> <G>		: "\xc4\xa2"
+<SunFA_Cedilla> <g>		: "\xc4\xa3"
+<SunFA_Cedilla> <K>		: "\xc4\xb6"
+<SunFA_Cedilla> <k>		: "\xc4\xb7"
+<SunFA_Cedilla> <L>		: "\xc4\xbb"
+<SunFA_Cedilla> <l>		: "\xc4\xbc"
+<SunFA_Cedilla> <minus>		: "\xc2\xac"
+<SunFA_Cedilla> <N>		: "\xc5\x85"
+<SunFA_Cedilla> <n>		: "\xc5\x86"
+<SunFA_Cedilla> <R>		: "\xc5\x96"
+<SunFA_Cedilla> <r>		: "\xc5\x97"
+<SunFA_Cedilla> <S>		: "\xc5\x9e"
+<SunFA_Cedilla> <s>		: "\xc5\x9f"
+<SunFA_Cedilla> <T>		: "\xc5\xa2"
+<SunFA_Cedilla> <t>		: "\xc5\xa3"
+<SunFA_Circum> <0>		: "\xc2\xb0"
+<SunFA_Circum> <1>		: "\xc2\xb9"
+<SunFA_Circum> <2>		: "\xc2\xb2"
+<SunFA_Circum> <3>		: "\xc2\xb3"
+<SunFA_Circum> <A>		: "\xc3\x82"
+<SunFA_Circum> <a>		: "\xc3\xa2"
+<SunFA_Circum> <C>		: "\xc4\x88"
+<SunFA_Circum> <c>		: "\xc4\x89"
+<SunFA_Circum> <E>		: "\xc3\x8a"
+<SunFA_Circum> <e>		: "\xc3\xaa"
+<SunFA_Circum> <exclam>		: "\xc2\xa6"
+<SunFA_Circum> <G>		: "\xc4\x9c"
+<SunFA_Circum> <g>		: "\xc4\x9d"
+<SunFA_Circum> <H>		: "\xc4\xa4"
+<SunFA_Circum> <h>		: "\xc4\xa5"
+<SunFA_Circum> <I>		: "\xc3\x8e"
+<SunFA_Circum> <i>		: "\xc3\xae"
+<SunFA_Circum> <J>		: "\xc4\xb4"
+<SunFA_Circum> <j>		: "\xc4\xb5"
+<SunFA_Circum> <minus>		: "\xc2\xaf"
+<SunFA_Circum> <O>		: "\xc3\x94"
+<SunFA_Circum> <o>		: "\xc3\xb4"
+<SunFA_Circum> <period>		: "\xc2\xb7"
+<SunFA_Circum> <slash>		: "\x7c"
+<SunFA_Circum> <space>		: "\x5e"
+<SunFA_Circum> <S>		: "\xc5\x9c"
+<SunFA_Circum> <s>		: "\xc5\x9d"
+<SunFA_Circum> <underscore>	: "\xc2\xaf"
+<SunFA_Circum> <U>		: "\xc3\x9b"
+<SunFA_Circum> <u>		: "\xc3\xbb"
+<SunFA_Diaeresis> <A>		: "\xc3\x84"
+<SunFA_Diaeresis> <a>		: "\xc3\xa4"
+<SunFA_Diaeresis> <E>		: "\xc3\x8b"
+<SunFA_Diaeresis> <e>		: "\xc3\xab"
+<SunFA_Diaeresis> <I>		: "\xc3\x8f"
+<SunFA_Diaeresis> <i>		: "\xc3\xaf"
+<SunFA_Diaeresis> <O>		: "\xc3\x96"
+<SunFA_Diaeresis> <o>		: "\xc3\xb6"
+<SunFA_Diaeresis> <quotedbl>	: "\xc2\xa8"
+<SunFA_Diaeresis> <space>	: "\xc2\xa8"
+<SunFA_Diaeresis> <U>		: "\xc3\x9c"
+<SunFA_Diaeresis> <u>		: "\xc3\xbc"
+<SunFA_Diaeresis> <y>		: "\xc3\xbf"
+<SunFA_Diaeresis> <Y>		: "\xc5\xb8"
+<SunFA_Grave> <A>		: "\xc3\x80"
+<SunFA_Grave> <a>		: "\xc3\xa0"
+<SunFA_Grave> <E>		: "\xc3\x88"
+<SunFA_Grave> <e>		: "\xc3\xa8"
+<SunFA_Grave> <I>		: "\xc3\x8c"
+<SunFA_Grave> <i>		: "\xc3\xac"
+<SunFA_Grave> <O>		: "\xc3\x92"
+<SunFA_Grave> <o>		: "\xc3\xb2"
+<SunFA_Grave> <space>		: "\x60"
+<SunFA_Grave> <U>		: "\xc3\x99"
+<SunFA_Grave> <u>		: "\xc3\xb9"
+<SunFA_Tilde> <A>		: "\xc3\x83"
+<SunFA_Tilde> <a>		: "\xc3\xa3"
+<SunFA_Tilde> <N>		: "\xc3\x91"
+<SunFA_Tilde> <n>		: "\xc3\xb1"
+<SunFA_Tilde> <O>		: "\xc3\x95"
+<SunFA_Tilde> <o>		: "\xc3\xb5"
+<SunFA_Tilde> <space>		: "\x7e"
+XCOMM
+XCOMM Cyrillic keysyms:
+<Byelorussian_shortu>	: "\xd1\x9e"	Byelorussian_shortu
+<Byelorussian_SHORTU>	: "\xd0\x8e"	Byelorussian_SHORTU
+<Macedonia_dse>		: "\xd1\x95"	Macedonia_dse
+<Macedonia_DSE>		: "\xd0\x85"	Macedonia_DSE
+<Macedonia_kje>		: "\xd1\x9c"	Macedonia_kje
+<Macedonia_KJE>		: "\xd0\x8c"	Macedonia_KJE
+<Macedonia_gje>		: "\xd1\x93"	Macedonia_gje
+<Macedonia_GJE>		: "\xd0\x83"	Macedonia_GJE
+<Serbian_dje>		: "\xd1\x92"	Serbian_dje
+<Serbian_DJE>		: "\xd0\x82"	Serbian_DJE
+<Serbian_tshe>		: "\xd1\x9b"	Serbian_tshe
+<Serbian_TSHE>		: "\xd0\x8b"	Serbian_TSHE
+<Ukrainian_yi>		: "\xd1\x97"	Ukrainian_yi
+<Ukrainian_YI>		: "\xd0\x87"	Ukrainian_YI
+<Ukrainian_ghe_with_upturn>	: "\xd2\x91"	Ukrainian_ghe_with_upturn
+<Ukrainian_GHE_WITH_UPTURN>	: "\xd2\x90"	Ukrainian_GHE_WITH_UPTURN
+<Ukrainian_i>		: "\xd1\x96"	Ukrainian_i
+<Ukrainian_I>		: "\xd0\x86"	Ukrainian_I
+<Ukrainian_ie>		: "\xd1\x94"	Ukrainian_ie
+<Ukrainian_IE>		: "\xd0\x84"	Ukrainian_IE
+END_STATE
+
+STATE "[ Cyrillic ]"
+Ctrl<space>		: SWITCH_STATE_TO "[ English/European ]"
+<Multi_key> <g> <g>	: SWITCH_STATE_TO "[ Greek ]"
+<Multi_key> <t> <t>	: SWITCH_STATE_TO "[ Thai ]"
+<Multi_key> <a> <r>	: SWITCH_STATE_TO "[ Arabic ]"
+<Multi_key> <h> <i>	: SWITCH_STATE_TO "[ Indic ]"
+<Multi_key> <i> <n>	: SWITCH_STATE_TO "[ Indic ]"
+<Multi_key> <h> <h>	: SWITCH_STATE_TO "[ Hebrew ]"
+<Multi_key> <u> <h>	: SWITCH_STATE_TO "[ Unicode Hex ]"
+<Multi_key> <u> <o>	: SWITCH_STATE_TO "[ Unicode Octal ]"
+<Multi_key> <l> <l>	: SWITCH_STATE_TO "[ Lookup ]"
+<Multi_key> <j>	<a>	: SWITCH_STATE_TO "[ Japanese ]"
+<Multi_key> <k>	<o>	: SWITCH_STATE_TO "[ Korean ]"
+<Multi_key> <s>	<c>	: SWITCH_STATE_TO "[ S-Chinese ]"
+<Multi_key> <t>	<c>	: SWITCH_STATE_TO "[ T-Chinese ]"
+<Multi_key> <h>	<k>	: SWITCH_STATE_TO "[ T-Chinese (Hong Kong) ]"
+
+Ctrl<T> <g> <g>		: SWITCH_STATE_TO "[ Greek ]"
+Ctrl<T> <t> <t>		: SWITCH_STATE_TO "[ Thai ]"
+Ctrl<T> <a> <r>		: SWITCH_STATE_TO "[ Arabic ]"
+Ctrl<T> <h> <i>		: SWITCH_STATE_TO "[ Indic ]"
+Ctrl<T> <i> <n>		: SWITCH_STATE_TO "[ Indic ]"
+Ctrl<T> <h> <h>		: SWITCH_STATE_TO "[ Hebrew ]"
+Ctrl<T> <u> <h>		: SWITCH_STATE_TO "[ Unicode Hex ]"
+Ctrl<T> <u> <o>		: SWITCH_STATE_TO "[ Unicode Octal ]"
+Ctrl<T> <l> <l>		: SWITCH_STATE_TO "[ Lookup ]"
+Ctrl<T> <j> <a>		: SWITCH_STATE_TO "[ Japanese ]"
+Ctrl<T> <k> <o>		: SWITCH_STATE_TO "[ Korean ]"
+Ctrl<T> <s> <c>		: SWITCH_STATE_TO "[ S-Chinese ]"
+Ctrl<T> <t> <c>		: SWITCH_STATE_TO "[ T-Chinese ]"
+Ctrl<T> <h> <k>		: SWITCH_STATE_TO "[ T-Chinese (Hong Kong) ]"
+
+<at>		: "\x22"	quotedbl
+<numbersign>	: "\xe2\x84\x96"	numerosign
+<dollar>	: "\x25"	percent
+<percent>	: "\x3a"	colon
+<asciicircum>	: "\x2c"	comma
+<ampersand>	: "\x2e"	period
+<asterisk>	: "\x3b"	semicolon
+<numerosign>	: "\xe2\x84\x96" numerosign
+<q>		: "\xd0\xb9"	Cyrillic_shorti
+<w>		: "\xd1\x86"	Cyrillic_tse
+<e>		: "\xd1\x83"	Cyrillic_u
+<r>		: "\xd0\xba"	Cyrillic_ka
+<t>		: "\xd0\xb5"	Cyrillic_ie
+<y>		: "\xd0\xbd"	Cyrillic_en
+<u>		: "\xd0\xb3"	Cyrillic_ghe
+<i>		: "\xd1\x88"	Cyrillic_sha
+<o>		: "\xd1\x89"	Cyrillic_shcha
+<p>		: "\xd0\xb7"	Cyrillic_ze
+<bracketleft>	: "\xd1\x85"	Cyrillic_ha
+<bracketright>	: "\xd1\x8a"	Cyrillic_hardsign
+<Q>		: "\xd0\x99"	Cyrillic_SHORTI
+<W>		: "\xd0\xa6"	Cyrillic_TSE
+<E>		: "\xd0\xa3"	Cyrillic_U
+<R>		: "\xd0\x9a"	Cyrillic_KA
+<T>		: "\xd0\x95"	Cyrillic_IE
+<Y>		: "\xd0\x9d"	Cyrillic_EN
+<U>		: "\xd0\x93"	Cyrillic_GHE
+<I>		: "\xd0\xa8"	Cyrillic_SHA
+<O>		: "\xd0\xa9"	Cyrillic_SHCHA
+<P>		: "\xd0\x97"	Cyrillic_ZE
+Lock<bracketleft> 	: "\xd0\xa5"	Cyrillic_HA
+Lock<bracketright>	: "\xd0\xaa"	Cyrillic_HARDSIGN
+<braceleft> 	: "\xd0\xa5"	Cyrillic_HA
+<braceright>	: "\xd0\xaa"	Cyrillic_HARDSIGN
+<a>		: "\xd1\x84"	Cyrillic_ef
+<s>		: "\xd1\x8b"	Cyrillic_yeru
+<d>		: "\xd0\xb2"	Cyrillic_ve
+<f>		: "\xd0\xb0"	Cyrillic_a
+<g>		: "\xd0\xbf"	Cyrillic_pe
+<h>		: "\xd1\x80"	Cyrillic_er
+<j>		: "\xd0\xbe"	Cyrillic_o
+<k>		: "\xd0\xbb"	Cyrillic_el
+<l>		: "\xd0\xb4"	Cyrillic_de
+<semicolon>	: "\xd0\xb6"	Cyrillic_zhe
+<quoteright>	: "\xd1\x8d"	Cyrillic_e
+<A>		: "\xd0\xa4"	Cyrillic_EF
+<S>		: "\xd0\xab"	Cyrillic_YERU
+<D>		: "\xd0\x92"	Cyrillic_VE
+<F>		: "\xd0\x90"	Cyrillic_A
+<G>		: "\xd0\x9f"	Cyrillic_PE
+<H>		: "\xd0\xa0"	Cyrillic_ER
+<J>		: "\xd0\x9e"	Cyrillic_O
+<K>		: "\xd0\x9b"	Cyrillic_EL
+<L>		: "\xd0\x94"	Cyrillic_DE
+<colon>		: "\xd0\x96"	Cyrillic_ZHE
+<quotedbl>	: "\xd0\xad"	Cyrillic_E
+<z>		: "\xd1\x8f"	Cyrillic_ya
+<x>		: "\xd1\x87"	Cyrillic_che
+<c>		: "\xd1\x81"	Cyrillic_es
+<v>		: "\xd0\xbc"	Cyrillic_em
+<b>		: "\xd0\xb8"	Cyrillic_i
+<n>		: "\xd1\x82"	Cyrillic_te
+<m>		: "\xd1\x8c"	Cyrillic_softsign
+<comma>		: "\xd0\xb1"	Cyrillic_be
+<period>	: "\xd1\x8e"	Cyrillic_yu
+<slash>		: "\xd1\x91"	Cyrillic_io
+<Z>		: "\xd0\xaf"	Cyrillic_YA
+<X>		: "\xd0\xa7"	Cyrillic_CHE
+<C>		: "\xd0\xa1"	Cyrillic_ES
+<V>		: "\xd0\x9c"	Cyrillic_EM
+<B>		: "\xd0\x98"	Cyrillic_I
+<N>		: "\xd0\xa2"	Cyrillic_TE
+<M>		: "\xd0\xac"	Cyrillic_SOFTSIGN
+<less>		: "\xd0\x91"	Cyrillic_BE
+<greater>	: "\xd0\xae"	Cyrillic_YU
+<question>	: "\xd0\x81"	Cyrillic_IO
+XCOMM
+XCOMM Cyrillic keysyms:
+<Byelorussian_shortu>	: "\xd1\x9e"	Byelorussian_shortu
+<Byelorussian_SHORTU>	: "\xd0\x8e"	Byelorussian_SHORTU
+<Macedonia_dse>		: "\xd1\x95"	Macedonia_dse
+<Macedonia_DSE>		: "\xd0\x85"	Macedonia_DSE
+<Macedonia_kje>		: "\xd1\x9c"	Macedonia_kje
+<Macedonia_KJE>		: "\xd0\x8c"	Macedonia_KJE
+<Macedonia_gje>		: "\xd1\x93"	Macedonia_gje
+<Macedonia_GJE>		: "\xd0\x83"	Macedonia_GJE
+<Serbian_dje>		: "\xd1\x92"	Serbian_dje
+<Serbian_DJE>		: "\xd0\x82"	Serbian_DJE
+<Serbian_tshe>		: "\xd1\x9b"	Serbian_tshe
+<Serbian_TSHE>		: "\xd0\x8b"	Serbian_TSHE
+<Ukrainian_yi>		: "\xd1\x97"	Ukrainian_yi
+<Ukrainian_YI>		: "\xd0\x87"	Ukrainian_YI
+<Ukrainian_ghe_with_upturn>	: "\xd2\x91"	Ukrainian_ghe_with_upturn
+<Ukrainian_GHE_WITH_UPTURN>	: "\xd2\x90"	Ukrainian_GHE_WITH_UPTURN
+<Ukrainian_i>		: "\xd1\x96"	Ukrainian_i
+<Ukrainian_I>		: "\xd0\x86"	Ukrainian_I
+<Ukrainian_ie>		: "\xd1\x94"	Ukrainian_ie
+<Ukrainian_IE>		: "\xd0\x84"	Ukrainian_IE
+END_STATE
+
+STATE "[ Greek ]"
+Ctrl<space> 		: SWITCH_STATE_TO "[ English/European ]"
+<Multi_key> <c> <c>	: SWITCH_STATE_TO "[ Cyrillic ]"
+<Multi_key> <t> <t>	: SWITCH_STATE_TO "[ Thai ]"
+<Multi_key> <a> <r>	: SWITCH_STATE_TO "[ Arabic ]"
+<Multi_key> <h> <i>	: SWITCH_STATE_TO "[ Indic ]"
+<Multi_key> <i> <n>	: SWITCH_STATE_TO "[ Indic ]"
+<Multi_key> <h> <h>	: SWITCH_STATE_TO "[ Hebrew ]"
+<Multi_key> <u> <h>	: SWITCH_STATE_TO "[ Unicode Hex ]"
+<Multi_key> <u> <o>	: SWITCH_STATE_TO "[ Unicode Octal ]"
+<Multi_key> <l> <l>	: SWITCH_STATE_TO "[ Lookup ]"
+<Multi_key> <j>	<a>	: SWITCH_STATE_TO "[ Japanese ]"
+<Multi_key> <k>	<o>	: SWITCH_STATE_TO "[ Korean ]"
+<Multi_key> <s>	<c>	: SWITCH_STATE_TO "[ S-Chinese ]"
+<Multi_key> <t>	<c>	: SWITCH_STATE_TO "[ T-Chinese ]"
+<Multi_key> <h>	<k>	: SWITCH_STATE_TO "[ T-Chinese (Hong Kong) ]"
+
+Ctrl<T> <c> <c>		: SWITCH_STATE_TO "[ Cyrillic ]"
+Ctrl<T> <t> <t>		: SWITCH_STATE_TO "[ Thai ]"
+Ctrl<T> <a> <r>		: SWITCH_STATE_TO "[ Arabic ]"
+Ctrl<T> <h> <i>		: SWITCH_STATE_TO "[ Indic ]"
+Ctrl<T> <i> <n>		: SWITCH_STATE_TO "[ Indic ]"
+Ctrl<T> <h> <h>		: SWITCH_STATE_TO "[ Hebrew ]"
+Ctrl<T> <u> <h>		: SWITCH_STATE_TO "[ Unicode Hex ]"
+Ctrl<T> <u> <o>		: SWITCH_STATE_TO "[ Unicode Octal ]"
+Ctrl<T> <l> <l>		: SWITCH_STATE_TO "[ Lookup ]"
+Ctrl<T> <j> <a>		: SWITCH_STATE_TO "[ Japanese ]"
+Ctrl<T> <k> <o>		: SWITCH_STATE_TO "[ Korean ]"
+Ctrl<T> <s> <c>		: SWITCH_STATE_TO "[ S-Chinese ]"
+Ctrl<T> <t> <c>		: SWITCH_STATE_TO "[ T-Chinese ]"
+Ctrl<T> <h> <k>		: SWITCH_STATE_TO "[ T-Chinese (Hong Kong) ]"
+
+XCOMM
+XCOMM Key sequences for euro sign:
+AltGraph<e>		: "\xe2\x82\xac"
+AltGraph<E>		: "\xe2\x82\xac"
+AltGraph<4>		: "\xe2\x82\xac"
+AltGraph<5>		: "\xe2\x82\xac"
+<Multi_key> <c> <equal>	: "\xe2\x82\xac"
+<Multi_key> <equal> <c>	: "\xe2\x82\xac"
+<Multi_key> <C> <equal>	: "\xe2\x82\xac"
+<Multi_key> <equal> <C>	: "\xe2\x82\xac"
+Ctrl<T> <c> <equal>	: "\xe2\x82\xac"
+Ctrl<T> <equal> <c>	: "\xe2\x82\xac"
+Ctrl<T> <C> <equal>	: "\xe2\x82\xac"
+Ctrl<T> <equal> <C>	: "\xe2\x82\xac"
+<Multi_key> <e> <equal>	: "\xe2\x82\xac"
+<Multi_key> <equal> <e>	: "\xe2\x82\xac"
+<Multi_key> <E> <equal>	: "\xe2\x82\xac"
+<Multi_key> <equal> <E>	: "\xe2\x82\xac"
+Ctrl<T> <e> <equal>	: "\xe2\x82\xac"
+Ctrl<T> <equal> <e>	: "\xe2\x82\xac"
+Ctrl<T> <E> <equal>	: "\xe2\x82\xac"
+Ctrl<T> <equal> <E>	: "\xe2\x82\xac"
+<EuroSign>		: "\xe2\x82\xac"
+
+
+XCOMM
+XCOMM The following seven mappings are not appropriate here; this kind of mappings
+XCOMM should be done at the keytable level at /usr/openwin/share/etc/keytables,
+XCOMM not in the Compose file.
+XCOMM<at>		: "\x22"	quotedbl
+XCOMM<numbersign>	: "\xcf\x80"	numerosign
+XCOMM<dollar>	: "\x25"	percent
+XCOMM<percent>	: "\x3a"	colon
+XCOMM<asciicircum>	: "\x2c"	comma
+XCOMM<ampersand>	: "\x2e"	period
+XCOMM<asterisk>	: "\x3b"	semicolon
+
+<q>		: "\x3b"	semicolon
+<w>		: "\xcf\x82"	Greek_sigma
+<e>		: "\xce\xb5"	Greek_epsilon
+<r>		: "\xcf\x81"	Greek_rho
+<t>		: "\xcf\x84"	Greek_tau
+<y>		: "\xcf\x85"	Greek_upsilon
+<u>		: "\xce\xb8"	Greek_theta
+<i>		: "\xce\xb9"	Greek_iota
+<o>		: "\xce\xbf"	Greek_omicron
+<p>		: "\xcf\x80"	Greek_pi
+<Greek_sigma>	: "\xcf\x82"	Greek_sigma
+<Greek_epsilon>	: "\xce\xb5"	Greek_epsilon
+<Greek_rho>	: "\xcf\x81"	Greek_rho
+<Greek_tau>	: "\xcf\x84"	Greek_tau
+<Greek_upsilon>	: "\xcf\x85"	Greek_upsilon
+<Greek_theta>	: "\xce\xb8"	Greek_theta
+<Greek_iota>	: "\xce\xb9"	Greek_iota
+<Greek_omicron>	: "\xce\xbf"	Greek_omicron
+<Greek_pi>	: "\xcf\x80"	Greek_pi
+<Q>		: "\x3a"	colon
+<W>		: "\xce\xa3"	Greek_SIGMA
+<E>		: "\xce\x95"	Greek_EPSILON
+<R>		: "\xce\xa1"	Greek_RHO
+<T>		: "\xce\xa4"	Greek_TAU
+<Y>		: "\xce\xa5"	Greek_UPSILON
+<U>		: "\xce\x98"	Greek_THETA
+<I>		: "\xce\x99"	Greek_IOTA
+<O>		: "\xce\x9f"	Greek_OMICRON
+<P>		: "\xce\xa0"	Greek_PI
+<Greek_SIGMA>	: "\xce\xa3"	Greek_SIGMA
+<Greek_EPSILON>	: "\xce\x95"	Greek_EPSILON
+<Greek_RHO>	: "\xce\xa1"	Greek_RHO
+<Greek_TAU>	: "\xce\xa4"	Greek_TAU
+<Greek_UPSILON>	: "\xce\xa5"	Greek_UPSILON
+<Greek_THETA>	: "\xce\x98"	Greek_THETA
+<Greek_IOTA>	: "\xce\x99"	Greek_IOTA
+<Greek_OMICRON>	: "\xce\x9f"	Greek_OMICRON
+<Greek_PI>	: "\xce\xa0"	Greek_PI
+<a>		: "\xce\xb1"	Greek_alpha
+<s>		: "\xcf\x83"	Greek_finalsmallsigma
+<d>		: "\xce\xb4"	Greek_delta
+<f>		: "\xcf\x86"	Greek_phi
+<g>		: "\xce\xb3"	Greek_gamma
+<h>		: "\xce\xb7"	Greek_eta
+<j>		: "\xce\xbe"	Greek_xi
+<k>		: "\xce\xba"	Greek_kappa
+<l>		: "\xce\xbb"	Greek_lamda
+<Greek_alpha>	: "\xce\xb1"	Greek_alpha
+<Greek_finalsmallsigma>	: "\xcf\x83"	Greek_finalsmallsigma
+<Greek_delta>	: "\xce\xb4"	Greek_delta
+<Greek_phi>	: "\xcf\x86"	Greek_phi
+<Greek_gamma>	: "\xce\xb3"	Greek_gamma
+<Greek_eta>	: "\xce\xb7"	Greek_eta
+<Greek_xi>	: "\xce\xbe"	Greek_xi
+<Greek_kappa>	: "\xce\xba"	Greek_kappa
+<Greek_lamda>	: "\xce\xbb"	Greek_lamda
+<A>		: "\xce\x91"	Greek_ALPHA
+<S>		: "\xce\xa3"	Greek_SIGMA
+<D>		: "\xce\x94"	Greek_DELTA
+<F>		: "\xce\xa6"	Greek_PHI
+<G>		: "\xce\x93"	Greek_GAMMA
+<H>		: "\xce\x97"	Greek_ETA
+<J>		: "\xce\x9e"	Greek_XI
+<K>		: "\xce\x9a"	Greek_KAPPA
+<L>		: "\xce\x9b"	Greek_LAMDA
+<Greek_ALPHA>	: "\xce\x91"	Greek_ALPHA
+<Greek_DELTA>	: "\xce\x94"	Greek_DELTA
+<Greek_PHI>	: "\xce\xa6"	Greek_PHI
+<Greek_GAMMA>	: "\xce\x93"	Greek_GAMMA
+<Greek_ETA>	: "\xce\x97"	Greek_ETA
+<Greek_XI>	: "\xce\x9e"	Greek_XI
+<Greek_KAPPA>	: "\xce\x9a"	Greek_KAPPA
+<Greek_LAMDA>	: "\xce\x9b"	Greek_LAMDA
+<z>		: "\xce\xb6"	Greek_zeta
+<x>		: "\xcf\x87"	Greek_chi
+<c>		: "\xcf\x88"	Greek_psi
+<v>		: "\xcf\x89"	Greek_omega
+<b>		: "\xce\xb2"	Greek_beta
+<n>		: "\xce\xbd"	Greek_nu
+<m>		: "\xce\xbc"	Greek_mu
+<Greek_zeta>	: "\xc2\x98"	Greek_zeta
+<Greek_chi>	: "\xcf\x87"	Greek_chi
+<Greek_psi>	: "\xcf\x88"	Greek_psi
+<Greek_omega>	: "\xcf\x89"	Greek_omega
+<Greek_beta>	: "\xce\xb2"	Greek_beta
+<Greek_nu>	: "\xce\xbd"	Greek_nu
+<Greek_mu>	: "\xce\xbc"	Greek_mu
+<Z>		: "\xce\x96"	Greek_ZETA
+<X>		: "\xce\xa7"	Greek_CHI
+<C>		: "\xce\xa8"	Greek_PSI
+<V>		: "\xce\xa9"	Greek_OMEGA
+<B>		: "\xce\x92"	Greek_BETA
+<N>		: "\xce\x9d"	Greek_NU
+<M>		: "\xce\x9c"	Greek_MU
+<less>		: "\x3b"	semicolon
+<greater>	: "\x3a"	colon
+<question>	: "\xc2\xb7"	periodcentered
+<Greek_ZETA>	: "\xce\x96"	Greek_ZETA
+<Greek_CHI>	: "\xce\xa7"	Greek_CHI
+<Greek_PSI>	: "\xce\xa8"	Greek_PSI
+<Greek_OMEGA>	: "\xce\xa9"	Greek_OMEGA
+<Greek_BETA>	: "\xce\x92"	Greek_BETA
+<Greek_NU>	: "\xce\x9d"	Greek_NU
+<Greek_MU>	: "\xce\x9c"	Greek_MU
+<periodcentered> : "\xc2\xb7"	periodcentered
+
+XCOMM
+XCOMM XK_dead_acute and XK_dead_diaeresis defined in Greece*.kt keytable files.
+XCOMM XK_Greek_* are not defined in Greece*.kt keytable files. Nonetheless, we
+XCOMM keep them here for user-defined keytable file possibility.
+<dead_acute> <Greek_alpha>	:"\xce\xac"	Greek_alphaaccent
+<dead_acute> <Greek_epsilon>	:"\xce\xad"	Greek_epsilonaccent
+<dead_acute> <Greek_eta>	:"\xce\xae"	Greek_etaaccent
+<dead_acute> <Greek_iota>	:"\xce\xaf"	Greek_iotaaccent
+<dead_acute> <Greek_omicron>	:"\xcf\x8c"	Greek_omicronaccent
+<dead_acute> <Greek_upsilon>	:"\xcf\x8d"	Greek_upsilonaccent
+<dead_acute> <Greek_omega>	:"\xcf\x8e"	Greek_omegaaccent
+<dead_acute> <Greek_ALPHA>	:"\xce\x86"	Greek_ALPHAaccent
+<dead_acute> <Greek_EPSILON>	:"\xce\x88"	Greek_EPSILONaccent
+<dead_acute> <Greek_ETA>	:"\xce\x89"	Greek_ETAaccent
+<dead_acute> <Greek_IOTA>	:"\xce\x8a"	Greek_IOTAaccent
+<dead_acute> <Greek_OMICRON>	:"\xce\x8c"	Greek_OMICRONaccent
+<dead_acute> <Greek_UPSILON>	:"\xce\x8e"	Greek_UPSILONaccent
+<dead_acute> <Greek_OMEGA>	:"\xce\x8f"	Greek_OMEGAaccent
+
+<dead_acute> <a>		:"\xce\xac"	Greek_alphaaccent
+<dead_acute> <e>		:"\xce\xad"	Greek_epsilonaccent
+<dead_acute> <h>		:"\xce\xae"	Greek_etaaccent
+<dead_acute> <i>		:"\xce\xaf"	Greek_iotaaccent
+<dead_acute> <o>		:"\xcf\x8c"	Greek_omicronaccent
+<dead_acute> <y>		:"\xcf\x8d"	Greek_upsilonaccent
+<dead_acute> <v>		:"\xcf\x8e"	Greek_omegaaccent
+<dead_acute> <A>		:"\xce\x86"	Greek_ALPHAaccent
+<dead_acute> <E>		:"\xce\x88"	Greek_EPSILONaccent
+<dead_acute> <H>		:"\xce\x89"	Greek_ETAaccent
+<dead_acute> <I>		:"\xce\x8a"	Greek_IOTAaccent
+<dead_acute> <O>		:"\xce\x8c"	Greek_OMICRONaccent
+<dead_acute> <Y>		:"\xce\x8e"	Greek_UPSILONaccent
+<dead_acute> <V>		:"\xce\x8f"	Greek_OMEGAaccent
+
+<semicolon> <a>			:"\xce\xac"	Greek_alphaaccent
+<semicolon> <e>			:"\xce\xad"	Greek_epsilonaccent
+<semicolon> <h>			:"\xce\xae"	Greek_etaaccent
+<semicolon> <i>			:"\xce\xaf"	Greek_iotaaccent
+<semicolon> <o>			:"\xcf\x8c"	Greek_omicronaccent
+<semicolon> <y>			:"\xcf\x8d"	Greek_upsilonaccent
+<semicolon> <v>			:"\xcf\x8e"	Greek_omegaaccent
+<semicolon> <A>			:"\xce\x86"	Greek_ALPHAaccent
+<semicolon> <E>			:"\xce\x88"	Greek_EPSILONaccent
+<semicolon> <H>			:"\xce\x89"	Greek_ETAaccent
+<semicolon> <I>			:"\xce\x8a"	Greek_IOTAaccent
+<semicolon> <O>			:"\xce\x8c"	Greek_OMICRONaccent
+<semicolon> <Y>			:"\xce\x8e"	Greek_UPSILONaccent
+<semicolon> <V>			:"\xce\x8f"	Greek_OMEGAaccent
+
+<dead_diaeresis> <Greek_iota>	:"\xcf\x8a"	Greek_iotadieresis
+<dead_diaeresis> <Greek_upsilon> :"\xcf\x8b"	Greek_upsilondieresis
+<dead_diaeresis> <Greek_IOTA>	:"\xce\xaa"	Greek_IOTAdiaeresis
+<dead_diaeresis> <Greek_UPSILON> :"\xce\xab"	Greek_UPSILONdieresis
+
+<dead_diaeresis> <i>		:"\xcf\x8a"	Greek_iotadieresis
+<dead_diaeresis> <y>		:"\xcf\x8b"	Greek_upsilondieresis
+<dead_diaeresis> <I>		:"\xce\xaa"	Greek_IOTAdiaeresis
+<dead_diaeresis> <Y>		:"\xce\xab"	Greek_UPSILONdieresis
+
+<colon> <i>			:"\xcf\x8a"	Greek_iotadieresis
+<colon> <y>			:"\xcf\x8b"	Greek_upsilondieresis
+<colon> <I>			:"\xce\xaa"	Greek_IOTAdiaeresis
+<colon> <Y>			:"\xce\xab"	Greek_UPSILONdieresis
+
+<dead_acute> <dead_diaeresis> <Greek_upsilon>	:"\xce\xb0"
+<dead_diaeresis> <dead_acute> <Greek_upsilon>	:"\xce\xb0"
+<dead_acute> <dead_diaeresis> <Greek_iota>	:"\xce\x90"
+<dead_diaeresis> <dead_acute> <Greek_iota>	:"\xce\x90"
+
+<dead_acute> <dead_diaeresis> <y> :"\xce\xb0"
+<dead_diaeresis> <dead_acute> <y> :"\xce\xb0"
+<dead_acute> <dead_diaeresis> <i> :"\xce\x90"
+<dead_diaeresis> <dead_acute> <i> :"\xce\x90"
+
+<semicolon> <colon> <y>		:"\xce\xb0"
+<colon> <semicolon> <y>		:"\xce\xb0"
+<semicolon> <colon> <i>		:"\xce\x90"
+<colon> <semicolon> <i>		:"\xce\x90"
+
+XCOMM
+XCOMM The following special key sequences are for Tonos, Diaeresis/Dialytica,
+XCOMM and Dialytika Tonos.
+<semicolon> <semicolon>		:"\xce\x84"
+<colon> <colon>			:"\xc2\xa8"
+<semicolon> <colon> <semicolon> <colon> :"\xce\x85"
+<colon> <semicolon> <colon> <semicolon> :"\xce\x85"
+
+<ordfeminine> <0>		:"\xc2\xb1"	plusminus
+<ordfeminine> <1>		:"\xc2\xa7"	section
+<ordfeminine> <2>		:"\xc2\xb2"	twosuperior
+<ordfeminine> <3>		:"\xc2\xb3"	threesuperior
+<ordfeminine> <4>		:""
+<ordfeminine> <5>		:"\xc2\xa6"	brokenbar
+<ordfeminine> <6>		:"\xc2\xa9"	copyright
+<ordfeminine> <7>		:"\xc2\xac"	notequal
+<ordfeminine> <8>		:"\xc2\xad"	hyphen
+<ordfeminine> <9>		:"\xc2\xb0"	degree
+<ordfeminine> <hyphen>		:"\xc2\xbd"	onehalf
+<ordfeminine> <equal>		:""
+<ordfeminine> <backslash>	:"\xc2\xa3"	sterling
+<ordfeminine> <braceleft>	:"\xca\xbd"
+<ordfeminine> <braceright>	:"\xca\xbc"
+<ordfeminine> <bracketleft>	:"\xc2\xab"	guillemotleft
+<ordfeminine> <bracketright>	:"\xc2\xbb"	guillemotright
+XCOMM
+XCOMM Rules for SunXK_FA_* keysyms:
+<SunFA_Acute> <A>		:"\xce\x86"
+<SunFA_Acute> <E>		:"\xce\x88"
+<SunFA_Acute> <Greek_ALPHA>	:"\xce\x86"
+<SunFA_Acute> <Greek_EPSILON>	:"\xce\x88"
+<SunFA_Acute> <Greek_ETA>	:"\xce\x89"
+<SunFA_Acute> <Greek_IOTA>	:"\xce\x8a"
+<SunFA_Acute> <Greek_OMEGA>	:"\xce\x8f"
+<SunFA_Acute> <Greek_OMICRON>	:"\xce\x8c"
+<SunFA_Acute> <Greek_UPSILON>	:"\xce\x8e"
+<SunFA_Acute> <Greek_alpha>	:"\xce\xac"
+<SunFA_Acute> <Greek_epsilon>	:"\xce\xad"
+<SunFA_Acute> <Greek_eta>	:"\xce\xae"
+<SunFA_Acute> <Greek_iota>	:"\xce\xaf"
+<SunFA_Acute> <Greek_omega>	:"\xcf\x8e"
+<SunFA_Acute> <Greek_omicron>	:"\xcf\x8c"
+<SunFA_Acute> <Greek_upsilon>	:"\xcf\x8d"
+<SunFA_Acute> <H>		:"\xce\x89"
+<SunFA_Acute> <I>		:"\xce\x8a"
+<SunFA_Acute> <O>		:"\xce\x8c"
+<SunFA_Acute> <SunFA_Diaeresis> <Greek_iota>	:"\xce\x90"
+<SunFA_Acute> <SunFA_Diaeresis> <Greek_upsilon>	:"\xce\xb0"
+<SunFA_Acute> <SunFA_Diaeresis> <i> :"\xce\x90"
+<SunFA_Acute> <SunFA_Diaeresis> <y> :"\xce\xb0"
+<SunFA_Acute> <V>		:"\xce\x8f"
+<SunFA_Acute> <Y>		:"\xce\x8e"
+<SunFA_Acute> <a>		:"\xce\xac"
+<SunFA_Acute> <e>		:"\xce\xad"
+<SunFA_Acute> <h>		:"\xce\xae"
+<SunFA_Acute> <i>		:"\xce\xaf"
+<SunFA_Acute> <o>		:"\xcf\x8c"
+<SunFA_Acute> <v>		:"\xcf\x8e"
+<SunFA_Acute> <y>		:"\xcf\x8d"
+<SunFA_Diaeresis> <Greek_IOTA>	:"\xce\xaa"
+<SunFA_Diaeresis> <Greek_UPSILON> :"\xce\xab"
+<SunFA_Diaeresis> <Greek_iota>	:"\xcf\x8a"
+<SunFA_Diaeresis> <Greek_upsilon> :"\xcf\x8b"
+<SunFA_Diaeresis> <I>		:"\xce\xaa"
+<SunFA_Diaeresis> <SunFA_Acute> <Greek_iota>	:"\xce\x90"
+<SunFA_Diaeresis> <SunFA_Acute> <Greek_upsilon>	:"\xce\xb0"
+<SunFA_Diaeresis> <SunFA_Acute> <i> :"\xce\x90"
+<SunFA_Diaeresis> <SunFA_Acute> <y> :"\xce\xb0"
+<SunFA_Diaeresis> <Y>		:"\xce\xab"
+<SunFA_Diaeresis> <i>		:"\xcf\x8a"
+<SunFA_Diaeresis> <y>		:"\xcf\x8b"
+END_STATE
+
+STATE "[ Arabic ]"
+Ctrl<space>		: SWITCH_STATE_TO "[ English/European ]"
+<Multi_key> <c> <c>	: SWITCH_STATE_TO "[ Cyrillic ]"
+<Multi_key> <g> <g>	: SWITCH_STATE_TO "[ Greek ]"
+<Multi_key> <t> <t>	: SWITCH_STATE_TO "[ Thai ]"
+<Multi_key> <h> <i>	: SWITCH_STATE_TO "[ Indic ]"
+<Multi_key> <i> <n>	: SWITCH_STATE_TO "[ Indic ]"
+<Multi_key> <h> <h>	: SWITCH_STATE_TO "[ Hebrew ]"
+<Multi_key> <u> <h>	: SWITCH_STATE_TO "[ Unicode Hex ]"
+<Multi_key> <u> <o>	: SWITCH_STATE_TO "[ Unicode Octal ]"
+<Multi_key> <l> <l>	: SWITCH_STATE_TO "[ Lookup ]"
+<Multi_key> <j>	<a>	: SWITCH_STATE_TO "[ Japanese ]"
+<Multi_key> <k>	<o>	: SWITCH_STATE_TO "[ Korean ]"
+<Multi_key> <s>	<c>	: SWITCH_STATE_TO "[ S-Chinese ]"
+<Multi_key> <t>	<c>	: SWITCH_STATE_TO "[ T-Chinese ]"
+<Multi_key> <h>	<k>	: SWITCH_STATE_TO "[ T-Chinese (Hong Kong) ]"
+
+Ctrl<T> <c> <c>		: SWITCH_STATE_TO "[ Cyrillic ]"
+Ctrl<T> <g> <g>		: SWITCH_STATE_TO "[ Greek ]"
+Ctrl<T> <t> <t>		: SWITCH_STATE_TO "[ Thai ]"
+Ctrl<T> <h> <i>		: SWITCH_STATE_TO "[ Indic ]"
+Ctrl<T> <i> <n>		: SWITCH_STATE_TO "[ Indic ]"
+Ctrl<T> <h> <h>		: SWITCH_STATE_TO "[ Hebrew ]"
+Ctrl<T> <u> <h>		: SWITCH_STATE_TO "[ Unicode Hex ]"
+Ctrl<T> <u> <o>		: SWITCH_STATE_TO "[ Unicode Octal ]"
+Ctrl<T> <l> <l>		: SWITCH_STATE_TO "[ Lookup ]"
+Ctrl<T> <j> <a>		: SWITCH_STATE_TO "[ Japanese ]"
+Ctrl<T> <k> <o>		: SWITCH_STATE_TO "[ Korean ]"
+Ctrl<T> <s> <c>		: SWITCH_STATE_TO "[ S-Chinese ]"
+Ctrl<T> <t> <c>		: SWITCH_STATE_TO "[ T-Chinese ]"
+Ctrl<T> <h> <k>		: SWITCH_STATE_TO "[ T-Chinese (Hong Kong) ]"
+
+XCOMM <0> Arabic-Indic Digit Zero
+<0>		: "\xd9\xa0"
+XCOMM <1> Arabic-Indic Digit One
+<1>		: "\xd9\xa1"
+XCOMM <2> Arabic-Indic Digit Two
+<2>		: "\xd9\xa2"
+XCOMM <3> Arabic-Indic Digit Three
+<3>		: "\xd9\xa3"
+XCOMM <4> Arabic-Indic Digit Four
+<4>		: "\xd9\xa4"
+XCOMM <5> Arabic-Indic Digit Five
+<5>		: "\xd9\xa5"
+XCOMM <6> Arabic-Indic Digit Six
+<6>		: "\xd9\xa6"
+XCOMM <7> Arabic-Indic Digit Seven
+<7>		: "\xd9\xa7"
+XCOMM <8> Arabic-Indic Digit Eight
+<8>		: "\xd9\xa8"
+XCOMM <9> Arabic-Indic Digit Nine
+<9>		: "\xd9\xa9"
+
+<a>		: "\xd8\xb4"
+<A>		: "\x5c"
+<apostrophe>	: "\xd8\xb7"
+<asciitilde>	: "\xd9\x91"
+<b>		: "\xd9\x84\xd8\xa7"
+<B>		: "\xd9\x84\xd8\xa2"
+<backslash>	: "\xd9\x80"
+<bracketleft>	: "\xd8\xac"
+<bracketright>	: "\xd8\xaf"
+<c>		: "\xd8\xa4"
+<C>		: "\xd9\x8d"
+<comma>		: "\xd9\x88"
+<d>		: "\xd9\x8a"
+<D>		: "\x5d"
+<e>		: "\xd8\xab"
+<E>		: "\xd9\x8f"
+<f>		: "\xd8\xa8"
+<F>		: "\x5b"
+<g>		: "\xd9\x84"
+<G>		: "\xd9\x84\xd8\xa3"
+<grave>		: "\xd8\xb0"
+<greater>	: "\x2e"
+<h>		: "\xd8\xa7"
+<H>		: "\xd8\xa3"
+<i>		: "\xd9\x87"
+<j>		: "\xd8\xaa"
+<k>		: "\xd9\x86"
+<K>		: "\xd8\x8c"
+<l>		: "\xd9\x85"
+<L>		: "\x2f"
+<m>		: "\xd8\xa9"
+XCOMM previously <M>: "\xd9\x8f"
+<M>		: "\xd9\xac"
+<n>		: "\xd9\x89"
+<N>		: "\xd8\xa2"
+<o>		: "\xd8\xae"
+<p>		: "\xd8\xad"
+<P>		: "\xd8\x9b"
+<period>	: "\xd8\xb2"
+<q>		: "\xd8\xb6"
+<Q>		: "\xd9\x8e"
+<question>	: "\xd8\x9f"
+<r>		: "\xd9\x82"
+<R>		: "\xd9\x8c"
+<s>		: "\xd8\xb3"
+<semicolon>	: "\xd9\x83"
+<slash>		: "\xd8\xb8"
+<smaller>	: "\x2c"
+<t>		: "\xd9\x81"
+<u>		: "\xd8\xb9"
+<v>		: "\xd8\xb1"
+<V>		: "\xd9\x90"
+<w>		: "\xd8\xb5"
+<W>		: "\xd9\x8b"
+<x>		: "\xd8\xa1"
+<y>		: "\xd8\xba"
+<Y>		: "\xd8\xa5"
+<z>		: "\xd8\xa6"
+END_STATE
+
+STATE "[ Hebrew ]"
+Ctrl<space>		: SWITCH_STATE_TO "[ English/European ]"
+<Multi_key> <c> <c>	: SWITCH_STATE_TO "[ Cyrillic ]"
+<Multi_key> <g> <g>	: SWITCH_STATE_TO "[ Greek ]"
+<Multi_key> <t> <t>	: SWITCH_STATE_TO "[ Thai ]"
+<Multi_key> <a> <r>	: SWITCH_STATE_TO "[ Arabic ]"
+<Multi_key> <h> <i>	: SWITCH_STATE_TO "[ Indic ]"
+<Multi_key> <i> <n>	: SWITCH_STATE_TO "[ Indic ]"
+<Multi_key> <u> <h>	: SWITCH_STATE_TO "[ Unicode Hex ]"
+<Multi_key> <u> <o>	: SWITCH_STATE_TO "[ Unicode Octal ]"
+<Multi_key> <l> <l>	: SWITCH_STATE_TO "[ Lookup ]"
+<Multi_key> <j>	<a>	: SWITCH_STATE_TO "[ Japanese ]"
+<Multi_key> <k>	<o>	: SWITCH_STATE_TO "[ Korean ]"
+<Multi_key> <s>	<c>	: SWITCH_STATE_TO "[ S-Chinese ]"
+<Multi_key> <t>	<c>	: SWITCH_STATE_TO "[ T-Chinese ]"
+<Multi_key> <h>	<k>	: SWITCH_STATE_TO "[ T-Chinese (Hong Kong) ]"
+
+Ctrl<T> <c> <c>		: SWITCH_STATE_TO "[ Cyrillic ]"
+Ctrl<T> <g> <g>		: SWITCH_STATE_TO "[ Greek ]"
+Ctrl<T> <t> <t>		: SWITCH_STATE_TO "[ Thai ]"
+Ctrl<T> <a> <r>		: SWITCH_STATE_TO "[ Arabic ]"
+Ctrl<T> <h> <i>		: SWITCH_STATE_TO "[ Indic ]"
+Ctrl<T> <i> <n>		: SWITCH_STATE_TO "[ Indic ]"
+Ctrl<T> <u> <h>		: SWITCH_STATE_TO "[ Unicode Hex ]"
+Ctrl<T> <u> <o>		: SWITCH_STATE_TO "[ Unicode Octal ]"
+Ctrl<T> <l> <l>		: SWITCH_STATE_TO "[ Lookup ]"
+Ctrl<T> <j> <a>		: SWITCH_STATE_TO "[ Japanese ]"
+Ctrl<T> <k> <o>		: SWITCH_STATE_TO "[ Korean ]"
+Ctrl<T> <s> <c>		: SWITCH_STATE_TO "[ S-Chinese ]"
+Ctrl<T> <t> <c>		: SWITCH_STATE_TO "[ T-Chinese ]"
+Ctrl<T> <h> <k>		: SWITCH_STATE_TO "[ T-Chinese (Hong Kong) ]"
+
+<q>		: "\x2f"
+<w>		: "\x27"
+<e>		: "\xd7\xa7"
+<r>		: "\xd7\xa8"
+<t>		: "\xd7\x90"
+<y>		: "\xd7\x98"
+<u>		: "\xd7\x95"
+<i>		: "\xd7\x9f"
+<o>		: "\xd7\x9d"
+<p>		: "\xd7\xa4"
+<a>		: "\xd7\xa9"
+<s>		: "\xd7\x93"
+<d>		: "\xd7\x92"
+<f>		: "\xd7\x9b"
+<g>		: "\xd7\xa2"
+<h>		: "\xd7\x99"
+<j>		: "\xd7\x97"
+<k>		: "\xd7\x9c"
+<l>		: "\xd7\x9a"
+<semicolon>	: "\xd7\xa3"
+<z>		: "\xd7\x96"
+<x>		: "\xd7\xa1"
+<c>		: "\xd7\x91"
+<v>		: "\xd7\x94"
+<b>		: "\xd7\xa0"
+<n>		: "\xd7\x9e"
+<m>		: "\xd7\xa6"
+<comma>		: "\xd7\xaa"
+<period>	: "\xd7\xa5"
+<slash>		: "\x2f"
+<grave>		: "\x3b"
+<apostrophe>	: "\x2c"
+END_STATE
+
+STATE "[ Unicode Hex ]"
+STATE_TYPE: CODE_INPUT
+XCOMM attributes
+MAX_INPUT_LENGTH:	4	# 1|2|3|4|5|,...
+				# when the number of input sequence
+				# reaches to the given number,
+				# conversion occurs automatically.
+
+TYPE_OF_INPUT:		HEX	# HEX or OCTET. The default is HEX.
+				# If it's HEX, valid input is: 0-9,
+				# a-f, A-F.
+				# If it's OCTET, valid input is: 0-7
+XCOMM end of attributes
+XCOMM actions
+Ctrl<w> :	DO_LOOKUP
+<space> :	DO_CONV
+				# force to convert input sequence into
+				# a character before MAX_INPUT_LENGTH
+				# of characters are input.
+Ctrl<n> :	NEXT_PAGE
+Ctrl<p> :	PREV_PAGE
+Ctrl<a> :	TOP_PAGE
+Ctrl<e> :	LAST_PAGE
+<Right>	:	NEXT_CAND
+<Left>	:	PREV_CAND
+<Up>	:	UP_CAND
+<Down>	:	DOWN_CAND
+Ctrl<k>	:	SELECT_CAND
+XCOMM end of actions
+Ctrl<space>		: SWITCH_STATE_TO "[ English/European ]"
+<Multi_key> <c> <c>	: SWITCH_STATE_TO "[ Cyrillic ]"
+<Multi_key> <g> <g>	: SWITCH_STATE_TO "[ Greek ]"
+<Multi_key> <t> <t>	: SWITCH_STATE_TO "[ Thai ]"
+<Multi_key> <a> <r>	: SWITCH_STATE_TO "[ Arabic ]"
+<Multi_key> <h> <i>	: SWITCH_STATE_TO "[ Indic ]"
+<Multi_key> <i> <n>	: SWITCH_STATE_TO "[ Indic ]"
+<Multi_key> <h> <h>	: SWITCH_STATE_TO "[ Hebrew ]"
+<Multi_key> <u> <o>	: SWITCH_STATE_TO "[ Unicode Octal ]"
+<Multi_key> <l> <l>	: SWITCH_STATE_TO "[ Lookup ]"
+<Multi_key> <j>	<a>	: SWITCH_STATE_TO "[ Japanese ]"
+<Multi_key> <k>	<o>	: SWITCH_STATE_TO "[ Korean ]"
+<Multi_key> <s>	<c>	: SWITCH_STATE_TO "[ S-Chinese ]"
+<Multi_key> <t>	<c>	: SWITCH_STATE_TO "[ T-Chinese ]"
+<Multi_key> <h>	<k>	: SWITCH_STATE_TO "[ T-Chinese (Hong Kong) ]"
+
+Ctrl<T> <c> <c>		: SWITCH_STATE_TO "[ Cyrillic ]"
+Ctrl<T> <g> <g>		: SWITCH_STATE_TO "[ Greek ]"
+Ctrl<T> <t> <t>		: SWITCH_STATE_TO "[ Thai ]"
+Ctrl<T> <a> <r>		: SWITCH_STATE_TO "[ Arabic ]"
+Ctrl<T> <h> <i>		: SWITCH_STATE_TO "[ Indic ]"
+Ctrl<T> <i> <n>		: SWITCH_STATE_TO "[ Indic ]"
+Ctrl<T> <h> <h>		: SWITCH_STATE_TO "[ Hebrew ]"
+Ctrl<T> <u> <o>		: SWITCH_STATE_TO "[ Unicode Octal ]"
+Ctrl<T> <l> <l>		: SWITCH_STATE_TO "[ Lookup ]"
+Ctrl<T> <j> <a>		: SWITCH_STATE_TO "[ Japanese ]"
+Ctrl<T> <k> <o>		: SWITCH_STATE_TO "[ Korean ]"
+Ctrl<T> <s> <c>		: SWITCH_STATE_TO "[ S-Chinese ]"
+Ctrl<T> <t> <c>		: SWITCH_STATE_TO "[ T-Chinese ]"
+Ctrl<T> <h> <k>		: SWITCH_STATE_TO "[ T-Chinese (Hong Kong) ]"
+END_STATE
+
+STATE "[ Unicode Octal ]"
+STATE_TYPE: CODE_INPUT
+XCOMM attributes
+MAX_INPUT_LENGTH:	6	# 1|2|3|4|5|,...
+				# when the number of input sequence
+				# reaches to the given number,
+				# conversion occurs automatically.
+
+TYPE_OF_INPUT:		OCTET	# HEX or OCTET. The default is HEX.
+				# If it's HEX, valid input is: 0-9, a-f, A-F.
+				# If it's OCTET, valid input is: 0-7
+XCOMM end of attributes
+XCOMM actions
+Ctrl<w> :	DO_LOOKUP
+<space> :	DO_CONV
+				# force to convert input sequence into
+				# a character before MAX_INPUT_LENGTH
+				# of characters are input.
+Ctrl<n> :	NEXT_PAGE
+Ctrl<p> :	PREV_PAGE
+Ctrl<a> :	TOP_PAGE
+Ctrl<e> :	LAST_PAGE
+<Right>	:	NEXT_CAND
+<Left>	:	PREV_CAND
+<Up>	:	UP_CAND
+<Down>	:	DOWN_CAND
+Ctrl<k>	:	SELECT_CAND
+XCOMM end of actions
+Ctrl<space> 		: SWITCH_STATE_TO "[ English/European ]"
+<Multi_key> <c> <c>	: SWITCH_STATE_TO "[ Cyrillic ]"
+<Multi_key> <g> <g>	: SWITCH_STATE_TO "[ Greek ]"
+<Multi_key> <t> <t>	: SWITCH_STATE_TO "[ Thai ]"
+<Multi_key> <a> <r>	: SWITCH_STATE_TO "[ Arabic ]"
+<Multi_key> <h> <i>	: SWITCH_STATE_TO "[ Indic ]"
+<Multi_key> <i> <n>	: SWITCH_STATE_TO "[ Indic ]"
+<Multi_key> <h> <h>	: SWITCH_STATE_TO "[ Hebrew ]"
+<Multi_key> <u> <h>	: SWITCH_STATE_TO "[ Unicode Hex ]"
+<Multi_key> <l> <l>	: SWITCH_STATE_TO "[ Lookup ]"
+<Multi_key> <j>	<a>	: SWITCH_STATE_TO "[ Japanese ]"
+<Multi_key> <k>	<o>	: SWITCH_STATE_TO "[ Korean ]"
+<Multi_key> <s>	<c>	: SWITCH_STATE_TO "[ S-Chinese ]"
+<Multi_key> <t>	<c>	: SWITCH_STATE_TO "[ T-Chinese ]"
+<Multi_key> <h>	<k>	: SWITCH_STATE_TO "[ T-Chinese (Hong Kong) ]"
+
+Ctrl<T> <c> <c>		: SWITCH_STATE_TO "[ Cyrillic ]"
+Ctrl<T> <g> <g>		: SWITCH_STATE_TO "[ Greek ]"
+Ctrl<T> <t> <t>		: SWITCH_STATE_TO "[ Thai ]"
+Ctrl<T> <a> <r>		: SWITCH_STATE_TO "[ Arabic ]"
+Ctrl<T> <h> <i>		: SWITCH_STATE_TO "[ Indic ]"
+Ctrl<T> <i> <n>		: SWITCH_STATE_TO "[ Indic ]"
+Ctrl<T> <h> <h>		: SWITCH_STATE_TO "[ Hebrew ]"
+Ctrl<T> <u> <h>		: SWITCH_STATE_TO "[ Unicode Hex ]"
+Ctrl<T> <l> <l>		: SWITCH_STATE_TO "[ Lookup ]"
+Ctrl<T> <j> <a>		: SWITCH_STATE_TO "[ Japanese ]"
+Ctrl<T> <k> <o>		: SWITCH_STATE_TO "[ Korean ]"
+Ctrl<T> <s> <c>		: SWITCH_STATE_TO "[ S-Chinese ]"
+Ctrl<T> <t> <c>		: SWITCH_STATE_TO "[ T-Chinese ]"
+Ctrl<T> <h> <k>		: SWITCH_STATE_TO "[ T-Chinese (Hong Kong) ]"
+END_STATE
+
+STATE "[ Lookup ]"
+STATE_TYPE: LOOKUP
+Ctrl<space>		: SWITCH_STATE_TO "[ English/European ]"
+<Multi_key> <c> <c>	: SWITCH_STATE_TO "[ Cyrillic ]"
+<Multi_key> <g> <g>	: SWITCH_STATE_TO "[ Greek ]"
+<Multi_key> <t> <t>	: SWITCH_STATE_TO "[ Thai ]"
+<Multi_key> <a> <r>	: SWITCH_STATE_TO "[ Arabic ]"
+<Multi_key> <h> <i>	: SWITCH_STATE_TO "[ Indic ]"
+<Multi_key> <i> <n>	: SWITCH_STATE_TO "[ Indic ]"
+<Multi_key> <h> <h>	: SWITCH_STATE_TO "[ Hebrew ]"
+<Multi_key> <u> <h>	: SWITCH_STATE_TO "[ Unicode Hex ]"
+<Multi_key> <u> <o>	: SWITCH_STATE_TO "[ Unicode Octal ]"
+<Multi_key> <j>	<a>	: SWITCH_STATE_TO "[ Japanese ]"
+<Multi_key> <k>	<o>	: SWITCH_STATE_TO "[ Korean ]"
+<Multi_key> <s>	<c>	: SWITCH_STATE_TO "[ S-Chinese ]"
+<Multi_key> <t>	<c>	: SWITCH_STATE_TO "[ T-Chinese ]"
+<Multi_key> <h>	<k>	: SWITCH_STATE_TO "[ T-Chinese (Hong Kong) ]"
+
+Ctrl<T> <c> <c>		: SWITCH_STATE_TO "[ Cyrillic ]"
+Ctrl<T> <g> <g>		: SWITCH_STATE_TO "[ Greek ]"
+Ctrl<T> <t> <t>		: SWITCH_STATE_TO "[ Thai ]"
+Ctrl<T> <a> <r>		: SWITCH_STATE_TO "[ Arabic ]"
+Ctrl<T> <h> <i>		: SWITCH_STATE_TO "[ Indic ]"
+Ctrl<T> <i> <n>		: SWITCH_STATE_TO "[ Indic ]"
+Ctrl<T> <h> <h>		: SWITCH_STATE_TO "[ Hebrew ]"
+Ctrl<T> <u> <h>		: SWITCH_STATE_TO "[ Unicode Hex ]"
+Ctrl<T> <u> <o>		: SWITCH_STATE_TO "[ Unicode Octal ]"
+Ctrl<T> <j> <a>		: SWITCH_STATE_TO "[ Japanese ]"
+Ctrl<T> <k> <o>		: SWITCH_STATE_TO "[ Korean ]"
+Ctrl<T> <s> <c>		: SWITCH_STATE_TO "[ S-Chinese ]"
+Ctrl<T> <t> <c>		: SWITCH_STATE_TO "[ T-Chinese ]"
+Ctrl<T> <h> <k>		: SWITCH_STATE_TO "[ T-Chinese (Hong Kong) ]"
+
+XCOMM attributes
+MAX_NUMBER_OF_ROWS :		6
+MAX_NUMBER_OF_COLUMNS :		16
+MAX_NUMBER_OF_CANDIDATES :	80	# <= 94 best if it's multiple of 16
+TITLE_STRING:	"Lookup Selection Window"
+FONTSET:	"-dt-interface user-medium-r-normal-s*utf*-*-*-*-*-*-*-*-*"
+POSITION: CURSOR	# CURSOR/CLIENT
+PLACEMENT: BOTTOM	# TOP/BOTTOM/LEFT/RIGHT
+"a - Basic Latin"	:	0x0000 0x007f
+"b - Latin 1"		:	0x0080 0x00ff
+"c - Latin Extended A"	:	0x0100 0x017f
+"d - Latin Extended B"	:	0x0180 0x024f
+XCOMM N/A IPA Extension	:	0x0250 0x02af
+"e - Spacing Modifier Letters"	:	0x02b0 0x02ff
+XCOMM N/A Combining Diaetrical Marks	:	0x0300 0x036f
+"f - Greek"	:	0x0370 0x03ff
+"g - Cyrillic"	:	0x0400 0x04ff
+XCOMM N/A Armenian	:	0x0530 0x058f
+"h - Hebrew"	:	0x0590 0x05ff
+"i - Arabic"	:	0x0600 0x06ff
+"H - Hindi"		:	0x0900 0x097f
+"B - Bengali"	:	0x0980 0x09ff
+"P - Gurmukhi"	:	0x0a00 0x0a7f
+"G - Gujarati"	:	0x0a80 0x0aff
+XCOMM N/A Oriya	:	0x0b00 0x0b7f
+"t - Tamil"	:	0x0b80 0x0bff
+"T - Telugu"	:	0x0c00 0x0c7f
+"K - Kannada"	:	0x0c80 0x0cff
+"M - Malayalam":	0x0d00 0x0d7f
+"j - Thai"	:	0x0e00 0x0e7f
+XCOMM N/A Lao	:	0x0e80 0x0eff
+XCOMM N/A Tibetan	:	0x0f00 0x0fbf
+XCOMM N/A Georgian	:	0x10a0 0x10ff
+XCOMM N/A Hangul Jamo	:	0x1100 0x11ff
+XCOMM N/A Latin Extended Additional	:	0x1e00 0x1eff
+XCOMM N/A Greek Extended	:	0x1f00 0x1fff
+"k - General Punctuation"	:	0x2000 0x206f
+"l - Superscripts Subscripts"	:	0x2070 0x209f
+"m - Currency Symbols"	:	0x20a0 0x20cf
+XCOMM N/A Combining Diacritical Marks for Symbols	:	0x20d0 0x20ff
+"n - Letterlike Symbols"	:	0x2100 0x214f
+"o - Number Forms"	:	0x2150 0x218f
+"p - Arrows"	:	0x2190 0x21ff
+"q - Mathematical Operators"	:	0x2200 0x22ff
+"r - Miscellaneous Technical"	:	0x2300 0x23ff
+XCOMM N/A Control Pictures	:	0x2400 0x243f
+XCOMM N/A Optical Character Recognition	:	0x2440 0x245f
+"s - Enclosed Alphanumerics"	:	0x2460 0x24ff
+"t - Box Drawing"	:	0x2500 0x257f
+"u - Block Elements"	:	0x2580 0x259f
+"v - Geometric Shapes"	:	0x25a0 0x25ff
+"w - Miscellaneous Symbols"	:	0x2600 0x26ff
+XCOMM N/A Dingbats	:	0x2700 0x27bf
+"x - CJK Symbols and Punctuation"	:	0x3000 0x303f
+"y - Hiragana"	:	0x3040 0x309f
+"z - Katakana"	:	0x30a0 0x30ff
+"0 - Bopomofo"	:	0x3100 0x312f
+"1 - Hangul Compatibility Jamo"	:	0x3130 0x318f
+XCOMM N/A Kanbun	:	0x3190 0x319f
+"2 - Enclosed CJK Letters and Months"	:	0x3200 0x32ff
+"3 - CJK Compatibility"	:	0x3300 0x33ff
+"4 - CJK Unified Ideographs"	:	0x4e00 0x9fa5
+"5 - Hangul Syllables"	:	0xac00 0xd7a3
+XCOMM N/A High Surrogates	:	0xd800 0xdb7f
+XCOMM N/A Private Use High Surrogates	:	0xdb80 0xdbff
+XCOMM N/A Low Surrogates	:	0xdc00 0xdfff
+XCOMM N/A Private Use Area	:	0xe000 0xf8ff
+"6 - CJK Compatibility Ideographs"	:	0xf900 0xfaff
+XCOMM N/A Alphabetic Presentation Forms	:	0xfb00 0xfb4f
+XCOMM N/A Arabic Presentation Forms-A	:	0xfb50 0xfdff
+XCOMM N/A Combining Half Marks	:	0xfe20 0xfe2f
+"7 - CJK Compatibility Forms"	:	0xfe30 0xfe4f
+"8 - Small Form Variants"	:	0xfe50 0xfe6f
+XCOMM N/A Arabic Presentation Forms-B	:	0xfe70 0xfeff
+"9 - Halfwidth and Fullwidth Forms"	:	0xff00 0xffef
+"/ - Specials"	:	0xfff0 0xffff
+XCOMM end of attributes
+
+XCOMM actions
+Ctrl<n> :	NEXT_PAGE
+Ctrl<p> :	PREV_PAGE
+Ctrl<a> :	TOP_PAGE
+Ctrl<e> :	LAST_PAGE
+<Right>	:	NEXT_CAND
+<Left>	:	PREV_CAND
+<Up>	:	UP_CAND
+<Down>	:	DOWN_CAND
+Ctrl<k>	:	SELECT_CAND
+XCOMM end of actions
+END_STATE
+
+STATE "[ Japanese ]"
+STATE_TYPE: REMOTE_IM
+Ctrl<space>		: SWITCH_STATE_TO "[ English/European ]"
+LANGUAGE : ja
+END_STATE
+
+STATE "[ Korean ]"
+STATE_TYPE: REMOTE_IM
+Ctrl<space>		: SWITCH_STATE_TO "[ English/European ]"
+LANGUAGE : ko
+END_STATE
+
+STATE "[ S-Chinese ]"
+STATE_TYPE: REMOTE_IM
+Ctrl<space>		: SWITCH_STATE_TO "[ English/European ]"
+LANGUAGE : zh_CN
+END_STATE
+
+STATE "[ T-Chinese ]"
+STATE_TYPE: REMOTE_IM
+Ctrl<space>		: SWITCH_STATE_TO "[ English/European ]"
+LANGUAGE : zh_TW
+END_STATE
+
+STATE "[ T-Chinese (Hong Kong) ]"
+STATE_TYPE: REMOTE_IM
+Ctrl<space>		: SWITCH_STATE_TO "[ English/European ]"
+LANGUAGE : zh_HK
+END_STATE
+
+STATE "[ Thai ]"
+STATE_TYPE: REMOTE_IM
+Ctrl<space>		: SWITCH_STATE_TO "[ English/European ]"
+LANGUAGE : th_TH
+END_STATE
+
+STATE "[ Indic ]"
+STATE_TYPE: REMOTE_IM
+Ctrl<space>		: SWITCH_STATE_TO "[ English/European ]"
+LANGUAGE : in_IN
+END_STATE
